<?php

class tcRememberMeFilter extends sfFilter
{
    public function execute($filterChain)
    {
        $user = $this->getContext()->getUser();
        $cookie = $this->getContext()->getRequest()->getCookie('transfercar_rk');

        if ($this->isFirstCall() && !$user->isAuthenticated() && $cookie)
        {
            if ($cookie && strpos($cookie, ':') !== false)
            {
                list($username, $key) = explode(':', $cookie);

                $manager = Doctrine::getTable('OwnerUser')->findOneByUsername($username);

                if ($manager && $manager->checkRememberMeCookie($key))
                {
                    // renew the cookie key, to limit theft attempts
                    $newCookie = $manager->renewRememberMeKey();
                    $rk_key = $manager->username.':'.$newCookie;
                    $ttl = strtotime('+30 days');
                    $this->getContext()->getResponse()->setCookie('transfercar_rk', $rk_key, $ttl);

                    // authenticate manager
                    $user->authenticate($manager);
                    $manager->save();
                }
            }
        }

        $filterChain->execute();
    }
}