<?php use_helper('I18N', 'Date', 'Object', 'Transfercar', 'sfCombine') ?>
<?php use_stylesheet_grouped('/sf/sf_admin/css/main') ?>

<div id="sf_admin_container" class="booking_list">
<style type="text/css">
    #sf_admin_container h3 {
        font-size: 20px;
    }

    #sf_admin_container h1,
    #sf_admin_container h3 {
        margin-bottom: 20px;
    }

    div.text-right {
        color: #5da423;
        font-weight: bold;
        margin-bottom: 20px;
    }

    tr.overlaps {
        background: #FAD59F!important;
    }

    p.error {
        font-size: 16px;
        color: red;
    }

    .panel ul {
        list-style-position: inside;
    }
</style>
<h1>
    Select requests
</h1>

<div id="sf_admin_header">

</div>

<div id="sf_admin_content">
    <?php if (count($listings) == 0): ?>
        <?php echo __('You have no pending request.') ?>
    <?php else: ?>
        <?php if (isset($errors)): ?>
            <div class="panel">
                <p class="error">Some requests are not available anymore, please choose other requests</p>
                <ul>
                    <?php foreach ($errors as $error): ?>
                        <li>
                            Listing ID #<?php echo $error['request']->get('listing_id').': '. $error['request']->get('Driver')->getShortName() ?>.
                            From <?php echo tc_format_date($error['request']->get('pickup_date'), 'short') ?> to <?php echo tc_format_date($error['request']->get('drop_off_date'), 'short') ?>
                            
                        </li>
                    <?php endforeach ?>
                </ul>
            </div>
        <?php endif ?>
        <?php $total_requests = 0 ?>
        <form action="<?php echo url_for('bookings/process') ?>" method="post">
        <?php foreach ($listings as $listing): ?>
            <h3>
                TCID <?php echo $listing->getCompoundId() ?> |
                <?php echo $listing->getPickup()->get('internal_name') ?> to
                <?php echo $listing->getDropoff()->get('internal_name') ?> |
                <?php echo $listing->getVehicle()->get('internal_name') ?> |
                Available <?php echo $listing->get('nb_listings') ?>
            </h3>
            <table class="table sf_admin_list">
                <thead>
                    <tr>
                        <th>Driver</th>
                        <th>Pickup date</th>
                        <th>Pickup time</th>
                        <th>Dropoff date</th>
                        <th>Dropoff time</th>
                        <th>Free days</th>
                        <th>Paid days</th>
                        <th>select</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $total = $nb = 0; $requests = $listing->getRequestsByDate(); ?>
                    <?php foreach ($requests as $request): ?>
                        <?php if ($request->isStatus(Request::STATUS_PENDING)): ?>
                            <?php $overlaps = $request->hasOverlappingRequest() ?>
                            <tr id="request_<?php echo $request->getId() ?>" <?php if ($overlaps): ?> class="overlaps <?php echo 'driver-'.$request->get('driver_id') ?>" rel="<?php echo 'driver-'.$request->get('driver_id') ?>" <?php endif ?>>
                                <td>
                                    <?php echo $request->get('driver_id') ?> - <?php echo $request->get('Driver')->getShortName() ?>
                                        <br/>
                                        <span>
                                            <?php echo $request->get('Driver')->reloc_count() ?> completed |
                                            <?php echo $request->get('Driver')->getNbCancellations() ?> cancelled |
                                            <?php echo $request->get('Driver')->getNbDisruptedBookings() ?> disrupted
                                        </span>
                                    </td>
                                <td><?php echo tc_format_date($request->get('pickup_date'), 'short') ?></td>
                                <td><?php echo format_time($request->get('pickup_time')) ?></td>
                                <td><?php echo tc_format_date($request->get('drop_off_date'), 'short') ?></td>
                                <td><?php echo format_time($request->get('dropoff_time')) ?></td>
                                <td><?php echo $request->get('nb_free_days') ?></td>
                                <td><?php echo $request->get('nb_paid_days') ?></td>
                                <td>
                                    <?php if ($overlaps): ?>
                                        <input data-price="<?php echo $request->get('Listing')->getTotalPrice($request) ?>" data-listing-id="<?php echo $listing->getId() ?>" class="requests" name="request[]" value="<?php echo $request->getId() ?>" type="checkbox" <?php echo (count($requests) <= $listing->get('nb_listings') ? '' : 'disabled') ?>/>
                                    <?php else: ?>
                                        <input data-price="<?php echo $request->get('Listing')->getTotalPrice($request) ?>" data-listing-id="<?php echo $listing->getId() ?>" class="requests" name="request[]" value="<?php echo $request->getId() ?>" type="checkbox" <?php echo (++$nb <= $listing->get('nb_listings') ? 'checked' : 'disabled') ?>/>
                                    <?php endif ?>
                                </td>
                                <?php $total_requests += $nb<= $listing->get('nb_listings') ? 1 :0 ?>
                            </tr>
                            <?php $total += $request->get('Listing')->getTotalPrice($request) ?>
                        <?php endif ?>
                    <?php endforeach ?>
                    
                </tbody>
            </table>
            <div class="text-right">
                Selected <span data-nb-available="<?php echo $listing->get('nb_listings') ?>" id="nb_<?php echo $listing->getId() ?>" class="nb"><?php echo min($nb, $listing->get('nb_listings')) ?></span> / <?php echo $listing->get('nb_listings') ?>
            </div>

        <?php endforeach ?>

        <div class="well panel alert text-center">
            <p>You will accept <span id="nb_requests"><?php echo $total_requests ?></span> requests.</p>
            <h3>Total cost: <span id="total_credits"><?php echo $total ?></span> credits</h3>
        </div>

        <div class="text-center"><button class="button primary">Continue</button></div>
        </form>
    <?php endif ?>
</div>
</div>

<?php append_slot('javascripts') ?>
<style type="text/css">
th .ng_input_button_table {
    margin: 0;
    padding: 0;
    border: 0;
    border-color: transparent;
}

#sf_admin_container .sf_admin_list th .ng_input_button_table td {
    border: 0;
    padding: 0;
}

tr.disabled {
    opacity: 0.7;
}
</style>
<script type="text/javascript">
(function($) {
    function updateTotal() {
        var total = 0;
        var nb = $('.requests:checked').each(function(){
            total += parseInt($(this).data('price'));
        }).size();
        $('#total_credits').text(total);
        $('#nb_requests').text(nb);
    }
    updateTotal();
    $('.requests').on('change', function(){
        var nb_checked = $(this).parents('table:first').find(':checked').length,
            listing_id = $(this).data('listing-id'),
            nb_available = parseInt($('#nb_'+listing_id).data('nb-available')),
            is_overlaps = $(this).hasClass('overlaps');

        $('#nb_'+listing_id).text(nb_checked);
        updateTotal();

        $(this).parents('table:first')
            .find(':checkbox:not(:checked):not(.overlapping)')
            .prop('disabled', nb_checked >= nb_available);
        $('tr:has(:checkbox)').removeClass('disabled');

        var cssClass = '.'+$(this).parents('tr:first').attr('rel')+':not(#'+$(this).parents('tr:first').attr('id')+') .requests';
        $(cssClass).prop('disabled', $(this).is(':checked')).toggleClass('overlapping', $(this).is(':checked'));
        $('tr:has(:checkbox:disabled)').addClass('disabled');
    });

    $('tr:has(:checkbox:disabled)').addClass('disabled');
})(jQuery);
</script>
<?php end_slot() ?>
