<?php

/**
 * branches actions.
 *
 * @package    symfony
 * @subpackage branches
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 5647 2007-10-23 17:25:20Z Eric.Fredj $
 */
class branchesActions extends autobranchesActions
{
    public function executeDetails()
    {
        $this->branch = $this->getOwnerBranchOrCreate();
    }

    public function executeOpeningtimes(sfWebRequest $request)
    {
        $branch = $this->getOwnerBranchOrCreate();

        return $this->renderText(json_encode(array(
            'earliest_pickup_time'  => $this->default_value($branch->get('default_pickup_time'), 28800),
            'latest_pickup_time'    => $this->default_value($branch->get('latest_pickup_time'), 59400),
            'earliest_dropoff_time' => $this->default_value($branch->get('default_dropoff_time'), 28800),
            'latest_dropoff_time'   => $this->default_value($branch->get('latest_dropoff_time'), 59400),
        )));
    }

    private function default_value($value, $default)
    {
        return $value ? $value : $default;
    }

    protected function updateOwnerBranchFromRequest()
    {
        parent::updateOwnerBranchFromRequest();

        if (strpos($this->owner_branch->get('location_id'), '_') !== false) {
            list(,$id) = explode('_', $this->owner_branch->get('location_id'));
            $this->owner_branch->set('location_id', $id);
        }
    }

    protected function addFiltersCriteria ($q)
    {
        $q
            ->addWhere('OwnerBranch.owner_id = ?', $this->getUser()->getOwnerId())
        ;

        parent::addFiltersCriteria($q);
    }

    protected function getOwnerBranchOrCreate ($id = 'id')
    {
        $branch = parent::getOwnerBranchOrCreate($id);

        if ($branch->exists()) {
            $this->forward404Unless($branch->get('owner_id') === $this->getUser()->getOwnerId());
        } else {
            $branch->set('owner_id', $this->getUser()->getOwnerId());
            $branch->set('default_pickup_time', 28800);
            $branch->set('latest_pickup_time', 59400);
            $branch->set('default_dropoff_time', 28800);
            $branch->set('latest_dropoff_time', 59400);
        }

        return $branch;
    }
}
