<?php use_helper('Transfercar') ?>
<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo sfConfig::get('app_gmaps_api_key') ?>&v=3.exp&amp;sensor=false&amp;callback=initialize"></script>

<script type="text/javascript">
var geocoder;
var map;

function initialize() {
  geocoder = new google.maps.Geocoder();
  var latlng = new google.maps.LatLng(<?php echo default_text($owner_branch->get('latitude'), 0) ?>, <?php echo default_text($owner_branch->get('longitude'), 0) ?>);
  var mapOptions = {
    zoom: 12,
    center: latlng
  }
  map = new google.maps.Map(document.getElementById('map'), mapOptions);
  getMarker(latlng);
}

function getMarker(LatLng)
{
  var marker = new google.maps.Marker({
      map: map,
      position: LatLng,
      draggable: true
  });

  google.maps.event.addDomListener(marker, 'dragend', function() {
    document.getElementById('lat').value = marker.getPosition().lat();
    document.getElementById('lon').value = marker.getPosition().lng();
  });

  return marker;
}

function codeAddress() {
  var address = document.getElementById('address').value;
  geocoder.geocode( { 'address': address}, function(results, status) {
    if (status == google.maps.GeocoderStatus.OK) {
      map.setCenter(results[0].geometry.location);
      var marker = getMarker(results[0].geometry.location);
      document.getElementById('lat').value = marker.getPosition().lat();
      document.getElementById('lon').value = marker.getPosition().lng();

    } else {
      alert('Geocode was not successful for the following reason: ' + status);
    }
  });
}

// google.maps.event.addDomListener(window, 'load', initialize);
</script>

  <div>
    <label style="width:auto">Address : </label>
    <input id="address" name="address"/>
    <button onclick="codeAddress();return false;">Find</button>
    <div id="map" style="width:270px;height:300px;"></div>
    <?php echo input_hidden_tag('owner_branch[LatLong][latitude]', $owner_branch->get('latitude'), array('id' => 'lat')) ?>
    <?php echo input_hidden_tag('owner_branch[LatLong][longitude]', $owner_branch->get('longitude'), array('id' => 'lon')) ?>
  </div>
