<?php

/**
 * contacts actions.
 *
 * @package    symfony
 * @subpackage contacts
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 5647 2007-10-23 17:25:20Z Eric.Fredj $
 */
class contactsActions extends autocontactsActions
{
    protected function addFiltersCriteria ($q)
    {
        $q
            ->innerJoin('OwnerContact.Countries c')
            ->addWhere('OwnerContact.owner_id = ?', $this->getUser()->getOwnerId())
        ;

        parent::addFiltersCriteria($q);
    }

    protected function getOwnerContactOrCreate ($id = 'id')
    {
        $contact = parent::getOwnerContactOrCreate($id);

        if ($contact->exists()) {
            $this->forward404Unless($contact->get('owner_id') === $this->getUser()->getOwnerId());
        } else {
            $contact->set('owner_id', $this->getUser()->getOwnerId());
        }

        if ($this->getUser()->getProfile()->get('Owner')->getDefaultContact() && !$this->getUser()->getProfile()->get('Owner')->getDefaultContact()->get('is_default'))
        {
            $contact->set('is_default', 1);
        }

        return $contact;
    }

    protected function saveOwnerContact($owner_contact)
    {
      if ($owner_contact->get('is_default'))
      {
        Doctrine_Query::create()
            ->update('OwnerContact')
            ->set('is_default', 0)
            ->addWhere('owner_id = ?', $owner_contact->get('owner_id'))
            ->execute();
      }

      $owner_contact->save();
    }

}
