 <?php echo javascript_include_tag('owner/jquery.js') ?>
<?php use_stylesheet('/js/owner/chosen/chosen.css') ?>
<?php $sf_response->removeStylesheet('/sf/sf_admin/css/main') ?>
<?php echo javascript_include_tag('tiny_mce/tiny_mce.js') ?>
<?php use_helper('TransfercarForm', 'Transfercar') ?>
<style type="text/css">
.row .locations label {
  margin-bottom:10px;
  font-weight: bold;
}

.discounted_credits {
  color: #ffcc00;
  font-weight: bold;
  padding-left: 10px;
  padding-top:10px;
  display:block;
}
</style>
<?php
$terms = Doctrine_Query::create()
        ->from("Terms")
        ->where("user_id = ?", $sf_user->getOwnerId())
        ->addWhere("title != ''")
        ->groupBy("title, content")
        ->execute();
?>
<?php echo form_tag('listing/save', array(
  'id'        => 'listing_form',
  'name'      => 'sf_admin_edit_form',
  'multipart' => true,
)) ?>

<?php if ($listing->exists()): ?>
<input type="hidden" value="<?php echo $sf_params->get('id') ?>" name="id" />
<?php endif ?>

<hr/>

<h5>1. <?php echo __('Vehicles details') ?> <?php echo tooltip('listing_form_vehicle_details') ?></h5>
<div class="row locations">
  <div class="four columns">
    <?php echo render_row($form['vehicle_type_id'], 'Vehicle to relocate', array('class' => 'chzn-select', 'data-placeholder' => __('Select vehicle or category'))) ?>
    <p>
      <a href="#" class="reveal-ajax" data-reveal-refresh="0" data-url="<?php echo url_for('vehicles/details?id=') ?>" rel="listing_vehicle_type_id"><?php echo __('View vehicle') ?></a>
      <a class="reveal-ajax" data-reveal-width="80" data-reveal-onclose="onCloseVehicle" href="<?php echo url_for('vehicles/create') ?>"><?php echo __('Add vehicle') ?></a>

          <script type="text/javascript">
            function onCloseVehicle() {
              var obj = $(window).data('reveal-object');
              $('#listing_vehicle_type_id')
                .append('<option selected value="'+obj.id+'">'+obj.name+'</option>')
                .trigger("liszt:updated");
            }
          </script>

    </p>
  </div>
  <div class="offset-by-two two columns">
    <?php echo render_row($form['nb_listings'], 'Quantity', array('class' => 'nine', 'help' => 'listing_form_quantity')) ?>
  </div>

  <div class="three columns end">
    <?php echo render_row($form['internal_reference'], 'Reference (optional)', array('help' => 'listing_form_internal_reference')) ?>
  </div>
</div>

<hr/>
<h5>2. <?php echo __('Journey details') ?></h5>
<div class="row locations">
  <div class="six columns">
    <div class="panel">
      <?php echo render_row($form['pickup_location_id'], 'Pickup Location', array('class' => 'chzn-select ranking', 'data-placeholder' => __('Select branch or location'), 'help' => 'listing_form_pickup_location')) ?>
      <p><a href="#" class="reveal-ajax" data-reveal-refresh="0" data-url="<?php echo url_for('branches/details?id=') ?>" rel="listing_pickup_location_id"><?php echo __('View branch details') ?></a></p>
      <hr />
      <?php echo render_row($form['date_available_from'], 'Earliest Pickup Date', array('class' => 'ranking', 'help' => 'listing_form_earliest_date')) ?>
      <hr />
      <div class="row">
        <div class="six columns">
          <?php echo render_row($form['pickup_time'], 'Earliest Pickup Time', array('class' => 'chzn-select', 'help' => 'listing_form_earliest_pickup_time')) ?>
        </div>
        <div class="six columns">
          <?php echo render_row($form['latest_pickup_time'], 'Latest Pickup Time', array('class' => 'chzn-select', 'help' => 'listing_form_latest_pickup_time')) ?>
        </div>
      </div>
    </div>
  </div>

  <div class="six columns">
    <div class="panel">
      <?php echo render_row($form['dropoff_location_id'], 'Dropoff Location', array('class' => 'chzn-select ranking', 'data-placeholder' => __('Select branch or location'), 'help' => 'listing_form_pickup_location')) ?>
      <p><a href="#" class="reveal-ajax" data-reveal-refresh="0" data-url="<?php echo url_for('branches/details?id=') ?>" rel="listing_dropoff_location_id"><?php echo __('View branch details') ?></a></p>
      <hr />
      <?php echo render_row($form['date_return_by'], 'Latest Dropoff Date', array('class' => 'ranking', 'help' => 'listing_form_latest_date')) ?>
      <hr />
      <div class="row">
        <div class="six columns">
          <?php echo render_row($form['dropoff_time'], 'Earliest Dropoff Time', array('class' => 'chzn-select', 'help' => 'listing_form_earliest_dropoff_time')) ?>
        </div>
        <div class="six columns">
          <?php echo render_row($form['latest_dropoff_time'], 'Latest Dropoff Time', array('class' => 'chzn-select', 'help' => 'listing_form_latest_dropoff_time')) ?>
        </div>
      </div>
    </div>
  </div>
  <?php if (isset($form['is_airport_reloc'])): ?>
    <div class="twelve columns">

      <?php echo $form['is_airport_reloc']->renderLabel($form['is_airport_reloc']->render().' <i class="fa fa-plane" aria-hidden="true"></i> Is this an airport relocation?', array('class' => 'twelve columns')) ?>
    </div>
  <?php endif ?>
</div>

<hr />
<div class="row">
  <div class="twelve columns extras">
    <h5><?php echo __('What\'s included') ?></h5>
    <p><span class="label radius"><?php echo __('Tip') ?></span> <?php echo __('The more you include, the sooner it gets requested!') ?></p>
      <div class="row">
        <div class="two column">
          <?php echo $form['petrol_included']->renderLabel($form['petrol_included']->render(array('class' => 'ranking')).' '.__('Fuel').tooltip('listing_form_petrol_included'), array('class' => 'twelve columns')) ?>
        </div>
        <div class="two column">
          <?php echo $form['petrol_included_type']->render(array('disabled' => 'disabled')) ?>
        </div>
        <div class="eight columns">
          <?php echo $form['petrol_included_text']->render(array('maxlength' => 250)) ?>
        </div>
      </div>
      <?php if ($form->getOption('domain') != 'za'): ?>
      <div class="row">
        <div class="two column">
          <?php echo $form['ferry_included']->renderLabel($form['ferry_included']->render(array('class' => 'ranking')).' '.__('Ferry').tooltip('listing_form_ferry_included'), array('class' => 'twelve columns')) ?>
        </div>
        <div class="two column">
          <?php echo $form['ferry_included_type']->render(array('disabled' => 'disabled')) ?>
        </div>
        <div class="eight columns">
          <?php echo $form['ferry_included_text']->render(array('maxlength' => 250)) ?>
        </div>
      </div>
      <?php endif ?>
      <div class="row">
        <div class="two column">
          <?php echo $form['expenses_included']->renderLabel($form['expenses_included']->render(array('class' => 'ranking')).' '.__('Expenses').tooltip('listing_form_expenses_included'), array('class' => 'twelve columns')) ?>
        </div>
        <div class="ten column">
          <?php echo $form['expenses_included_text']->render(array('maxlength' => 250)) ?>
        </div>
      </div>
      <div class="row">
        <div class="two column">
          <?php echo $form['insurance_included']->renderLabel($form['insurance_included']->render().' '.__('Insurance').tooltip('listing_form_insurance_included'), array('class' => 'twelve columns', 'readonly' => true)) ?>
          <?php echo $form['insurance_included']->renderError() ?>
        </div>
        <div class="five columns">
          <?php echo $form['insurance_policy'] ?>
          <?php echo $form['insurance_policy']->renderError() ?>
          <?php //echo $form['insurance_included_text']->render(array('maxlength' => 250, 'placeholder' => __('$1500 insurance excess/bond required (CC imprint only - can be reduced)'))) ?>
        </div>
        <div class="three column end">
          <?php echo link_to('Add policy', 'insurance/create', ['class' => 'reveal-ajax', 'data-reveal-onclose' => 'onClosePolicy']) ?>

          <script type="text/javascript">
            function onClosePolicy() {
              var obj = $(window).data('reveal-object');
              $('#listing_insurance_policy').append('<option selected value="'+obj.id+'">'+obj.name+'</option>');
            }
          </script>
        </div>
      </div>
      <?php if ($form->getOption('domain') != 'nz'): ?>
        <div class="row">
          <div class="two column">
            <?php echo $form['tolls_included']->renderLabel($form['tolls_included']->render().__('Road tolls').tooltip('listing_form_tolls_included'), array('class' => 'ranking twelve columns')) ?>
          </div>
          <div class="ten column">
            <?php echo $form['tolls_included_text']->render(array('maxlength' => 250)) ?>
          </div>
        </div>
      <?php endif ?>
  </div>
</div>

<div class="row">
  <div class="three columns end">
    <?php echo render_row($form['days_allowed'], 'Free days allowed', array('help' => 'listing_form_free_days', 'class' => 'ranking '.(!$listing->exists() && $sf_params->get('id') ? 'manually_changed' : ''))) ?>
  </div>
  <div class="six columns end">
    <div id="free_days_notice"  class="" style="display:inline-block;margin-top:22px;"></div>
  </div>
</div>

<div class="row">
  <div class="three columns">
    <?php echo render_row($form['kms_allowed'], __('Kms allowed'), array('help' => 'listing_form_free_km')) ?>
  </div>
  <div class="six columns end" style="padding-top:22px">
    <p><span class="label radius">Tip</span> <?php echo __('No kms means unlimited kms') ?></p>
  </div>
</div>

<div class="row">
  <div class="three columns">
    <?php echo render_row($form['paid_days_allowed'], 'Extra paid days (optional)', array('class' => 'ranking', 'help' => 'listing_form_additional_days')) ?>
  </div>
  <div class="three columns end">
    <?php echo render_row($form['price_per_day'], 'Price per day ($)', array('help' => 'listing_form_price_per_day')) ?>
  </div>
</div>


<div class="row">
  <div class="twelve columns">
    <h5><?php echo __('Comments') ?></h5>
    <?php echo render_row($form['comment'], false, array('help' => 'listing_form_comments')) ?>
  </div>
</div>

<div class="row">
  <div class="three columns end">
    <h5><?php echo __('Driver requirements') ?> <?php echo tooltip('listing_form_driver_requirements') ?></h5>
    <?php echo render_row($form['min_age'], 'Minimum driver age') ?>
  </div>
</div>

<ul class="accordion">
  <li>
    <div class="title">
      <h5><?php echo __('Terms and Conditions') ?> <?php echo tooltip('listing_form_terms') ?></h5>
    </div>
    <div class="content">
      <div class="row">
        <div class="four columns">
          <label><?php echo __('Your documents') ?></label>
          <select name="terms_id" id="terms_id">
            <option>New</option>
            <?php foreach ($terms as $term): ?>
                <option value="<?php echo $term->id ?>" <?php if ($listing->terms_id == $term->id):?>selected="selected"<?php endif; ?>><?php echo ($term->title ? $term->title : substr($term->content, 0, 20) . '...') ?></option>
            <?php endforeach; ?>
          </select>
        </div>
        <div class="four columns end">
          <?php echo render_row($form['terms_title'], 'Title (for identification)') ?>
        </div>
      </div>
      <div class="row">
        <div class="twelve columns">
          <?php echo $form['terms_content']->render(array('id' => 'listing_terms_content')); ?>
        </div>
      </div>
    </div>
  </li>
  <li>
    <div class="title">
      <h5><?php echo __('Optional extras') ?> <?php echo tooltip('listing_form_optional_extras') ?></h5>
    </div>
    <div class="content">
      <p><?php echo __('The optional extras is a price table for showing the standard prices for extra products that the driver will have to prepare them self for once they have been accepted.') ?></p>
      <?php echo $form['addons']->render() ?>
    </div>
  </li>
  <li>
    <div class="title">
      <h5><?php echo __('Administration Options') ?> <?php echo tooltip('listing_form_admin_options') ?></h5>
    </div>
    <div class="content">
      <div class="row">
        <div class="twelve columns end">
          <?php echo render_row($form['listing_contact_list'], 'Notify additional contacts (optional)', array('class' => 'chzn-select', 'style' => 'width:200px')) ?>
        </div>
      </div>
    </div>
  </li>
</ul>

<div class="alert-box">
  <h5 align="center"><?php echo __('Price') ?>: <span id="listing_price"><?php echo isset($listing) ? $listing->price : 0 ?> credit(s)</span><br/></h5>
  <p id="additional_days_price_container" align="center">(plus <span id="additional_days_price"><strong><?php echo isset($listing) ? $listing->getPriceForAdditionalDay() : 0 ?></strong></span> <?php echo __('credit per additional paid day requested by a driver') ?>)</p>
</div>

<p>
    <?php echo __('Listings are free. Credits are only payable once accepting a driver.') ?>
    <?php echo __('Prices are shown in Transfercar Credits, our currency.') ?>
    <a
      href="<?php echo url_for('listing/creditPriceList') ?>"
      data-reveal-refresh="0" class="reveal-ajax" id="tc-credit-price-chart">
      <?php echo __('See credit chart') ?> <?php echo tooltip('listing_form_price_chart') ?>
    </a>.
</p>
<hr />


<ul class="accordion">
  <li>
    <div class="title">
      <h5><i class="fa fa-line-chart" aria-hidden="true"></i> <?php echo __('Listing rank') ?>: <span id="listing_rank_label">N/A</span></h5>
    </div>
    <div class="content">
      <div class="row">
        <div class="twelve columns end">
          <h5><?php echo __('How do you compare to other listings?') ?></h5>
          <p><?php echo __('Your listing ranks better than %placeholder% of all the relocations listed on Transfercar', ['%placeholder%' => '<span id="listing_rank_percent">0%</span>']) ?></p>
          <h5><?php echo __('How to improve your ranking?') ?></h5>

          <ul id="ranking_errors">
            <li><?php echo __('Allow more free days') ?></li>
            <li><?php echo __('Allow more paid days') ?></li>
            <li><?php echo __('Allow more included extras') ?></li>
            <li><?php echo __('Improve your acceptance rate') ?></li>
          </ul>

          <p class="mtm"><a href="<?php echo url_for('owner/score') ?>" data-reveal-refresh="0" data-reveal-width="75" class="reveal-ajax"><?php echo __('What\'s my acceptance rate?') ?></a></p>
        </div>
      </div>
    </div>
  </li>
</ul>


<p align="center">

  <button type="submit" style="margin-bottom:10px;" class="large radius success button" type="submit">
    <?php if ($listing->exists()): ?>
      <?php echo __('Save changes') ?>
    <?php else: ?>
      <?php echo __('Confirm &amp; Add New Listing') ?>
    <?php endif ?>

    <?php echo tooltip('listing_form_confirm_add') ?>
  </button>

  <br />

  <a href="<?php echo url_for('@homepage') ?>"><?php echo __('Cancel adding a new listing') ?></a>
</p>

<?php echo $form->renderCSRF(); ?>
<?php echo $form['kms_estimated']->render() ?>
</form>

<?php use_stylesheet('/js/bootstrap-daterangepicker/daterangepicker-foundation3.css') ?>
<?php use_javascript('bootstrap-daterangepicker/moment.js') ?>
<?php use_javascript('bootstrap-daterangepicker/daterangepicker.js') ?>
<?php use_javascript('owner/chosen/chosen.jquery.js') ?>
<?php use_javascript('owner/jquery.validate.min.js') ?>
<?php use_javascript('owner/add_listing.js') ?>
<?php if ($sf_user->getCulture() == 'fr_CA'): ?>
    <?php use_javascript('jquery.validate.messages.fr.js') ?>
<?php endif ?>
<?php append_slot('javascripts') ?>
<script type="text/javascript">
(function($){

    function updateTimeSelector(elt)
    {
      if (elt.id !== 'listing_vehicle_type_id' && $(elt).val().match(/^owner_/)) {
        $.ajax({
          url: '<?php echo url_for('branches/openingtimes') ?>',
          data: { id: $(elt).val().split('_')[1] },
          type: 'get',
          dataType: 'json',
          success: function(response)
          {
            if (elt.id.match(/pickup/)) {
              $('#listing_pickup_time')
                .val(response.earliest_pickup_time)
                .trigger("liszt:updated");

              $('#listing_latest_pickup_time')
                .val(response.latest_pickup_time)
                .trigger("liszt:updated");
            } else {
              $('#listing_dropoff_time')
                .val(response.earliest_dropoff_time)
                .trigger("liszt:updated")
              ;

              $('#listing_latest_dropoff_time')
                .val(response.latest_dropoff_time)
                .trigger("liszt:updated")
              ;
            }
          }
        });
      }
    }

    function updateIncludedInput()
    {
      if ($(this).is(':checked')) {
        $('#'+this.id+'_text, #'+this.id+'_type').attr('disabled', false).trigger('change');
      } else {
        $('#'+this.id+'_text, #'+this.id+'_type').attr('disabled', true).val('');
      }
    }

    $('#listing_petrol_included_type').change(function(){
      var descriptions = {
        1: "1 Free Tank of Fuel",
        2: ""
      };
      $('#listing_petrol_included_text').val(descriptions[$(this).val()]);
    });

    $('#listing_ferry_included_type').change(function(){
      var descriptions = {
        1: "Free ferry for the vehicle",
        2: "Free ferry for the vehicle and the driver ",
        3: "Free ferry for the vehicle and two passengers",
        4: ""
      };
      $('#listing_ferry_included_text').val(descriptions[$(this).val()]);
    });


    $('.extras input:checkbox').change(updateIncludedInput).each(updateIncludedInput);

    $('#listing_vehicle_type_id, #listing_pickup_location_id, #listing_dropoff_location_id').change(function() {
      if ($(this).val().match(/^owner_/)) {
        var l = $('a[rel="'+ this.id +'"]')
          .show();
        l.attr('href', l.attr('data-url') + $(this).val().split('_')[1]);
      } else {
        $('a[rel="'+ this.id +'"]').hide().attr('href', '#');
      }

      updateTimeSelector(this);
    });

    $(':input.ranking').change(function(){
      var data = {};
      $(':input.ranking').each(function(){
        data[this.name] = $(this).is(':checkbox') ? Number($(this).is(':checked')) : $(this).val();

        if ((this.id == 'listing_date_available_from' || this.id == 'listing_date_return_by') && jQuery(this).data('daterangepicker')) {
          data[this.name] = jQuery(this).data('daterangepicker').endDate.format('YYYY-MM-DD');
        }
      });

      $.ajax({
        url: '<?php echo url_for('listing/getRank') ?>',
        data: data,
        dataType: 'json',
        success: function(data) {
          var rankingLabel = '';
          if (data.ranking.percentrank > 0.8) {
            rankingLabel = '<?php echo __('Excellent') ?>';
          } else if (data.ranking.percentrank > 0.6) {
            rankingLabel = '<?php echo __('Good') ?>';
          } else if (data.ranking.percentrank > 0.4) {
            rankingLabel = '<?php echo __('Average') ?>';
          } else {
            rankingLabel = '<?php echo __('Poor') ?>';
          }

          $('#listing_rank_label').html(rankingLabel);
          $('#listing_rank_percent').html(Math.round(data.ranking.percentrank*100, 0)+'%');

          var list = '';
          for (var i in data.errors) {
            list += '<li>'+data.errors[i]+'</li>';
          }

          $('#ranking_errors').html(list);
        }
      })
    });

    $('#listing_vehicle_type_id, #listing_pickup_location_id, #listing_dropoff_location_id').change();

    var add_listing = $.add_listing({
      show_fee_url: '<?php echo url_for('listing/showFee') ?>',
      terms_url: '<?php echo url_for('owner/terms') ?>',
      additional_fees_url: '<?php echo url_for('listing/showAdditionalDaysFee') ?>',
      check_free_days_url: '<?php echo url_for('listing/checkFreeDays') ?>',
      get_free_days_url: '<?php echo url_for('listing/getFreeDays') ?>'
    });

  <?php
    if($sf_request->hasParameter('similar') || !$form->isValid()){ // should initially show price info?
        echo "\nadd_listing.update_price_info();\n";
        echo "add_listing.update_additional_days_price($('#listing_vehicle_type_id'));\n";
    }
  ?>
})(jQuery);
// -->
</script>
<?php end_slot() ?>

<?php //echo $form ?>
