<?php use_helper('I18N') ?>

<?php if ($listing->getStatusName() === 'NoShow'): ?>
    <div class="label secondary radius">
    <?php if ($listing->getAcceptedRequest()->isInternalStatus(Request::INTERNAL_STATUS_REFUNDED)): ?>
        Refunded
    <?php elseif ($listing->getAcceptedRequest()->isInternalStatus(Request::INTERNAL_STATUS_NOT_REFUNDED)): ?>
        Not Refunded
    <?php else: ?>
        Refund in progress
    <?php endif ?>
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_ACCEPTED)): ?>
    <div class="label success radius">
        <a class="reveal-ajax" data-reveal-width="65" data-reveal-refresh="0" href="<?php echo url_for('request/accepted?id='.$listing->getAcceptedRequest()->get('id')) ?>">
            <?php echo $listing->getStatusName() ?>
        </a>
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_BOOKED)): ?>
    <div class="label success radius">
        Booked
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_COMPLETED)): ?>
    <div class="label success radius">
        Completed
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_CLOSED)): ?>
    <div class="label success radius">
        Completed
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_EXPIRED)): ?>
    <div class="label secondary radius">
        Expired
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_DELETED)): ?>
    <div class="label secondary radius">
        Deleted
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_NEW) && $count = $listing->getRequestCount(array(Request::STATUS_PENDING))): ?>
    <div class="label warning radius">
        <a href="<?php echo url_for('request/manage?listing_id='.$listing->getId()) ?>" class="reveal-ajax" data-reveal-width="60">
            Requested (<?php echo $count ?>)
        </a>
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_CANCELED)): ?>
    <div class="label alert radius">
        <?php if ($req = $listing->getAcceptedRequest()): ?>
            <?php if ($req->get('is_withdrawn')): ?>
                Disrupted
            <?php elseif ($req->isStatus(array(Request::STATUS_DRIVER_CANCELED, Request::STATUS_CANCELED_BY_DRIVER))): ?>
                Driver cancelled
            <?php else: ?>
                Owner cancelled
            <?php endif ?>
        <?php else: ?>
            Cancelled
        <?php endif ?>
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_PICKED_UP)): ?>
    <div class="label radius">
        Picked up
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_DROPPED_OFF)): ?>
    <div class="label radius">
        Dropped off
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_PAUSED)): ?>
    <div class="label secondary radius">
        Paused
    </div>
<?php elseif ($listing->isStatus(Listing::STATUS_NEW)): ?>
    <div class="label listed radius">
        Listed
    </div>
<?php endif ?>
</div>
