<?php use_helper('Date', 'Transfercar') ?>
<?php $driver = $listing->getAcceptedRequest()->get('Driver') ?>
<h4><?php echo $driver->full_name() ?> booked for listing <?php echo $listing->getAcceptedRequest()->getIncrementedId() ?></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <p>
            The driver has been booked. You may now update your reservation system and add a booking reference in the
            field below. If done within the next 5 minutes, the reference code will be added to the driver's email
            confirmation.
        </p>

        <div class="row text-center">
            <div class="eight columns end offset-by-two">
                <table class="table" style="margin:auto">
                    <tr>
                        <td>Driver</td>
                        <td class="text-right">
                            Name: <strong><?php echo $driver->full_name() ?></strong>
                            &nbsp;&nbsp;
                            DOB: <strong><?php echo tc_format_date($driver->get('date_of_birth')) ?></strong>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td class="text-right">
                            Contact phone: <strong><?php echo default_text(($driver->get('contact_phone') ?  $driver->get('contact_phone') : $driver->get('mobile_phone')), 'N/A') ?></strong>
                            &nbsp;&nbsp;
                            Email: <strong><?php echo $driver->get('email') ?></strong>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>

                        <td class="text-right">
                            Driver's license country: <strong><?php echo format_country($driver->get('license')) ?></strong>
                        </td>
                    <tr>
                        <td>Pickup</td>
                        <td class="text-right">
                            <strong>
                                <?php echo $listing->getPickup()->get('name') ?>
                                <?php echo tc_format_date($listing->getAcceptedRequest()->get('pickup_date')) ?>
                                <?php echo tc_format_date($listing->getAcceptedRequest()->get('pickup_time'), 'hours') ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td>Dropoff</td>
                        <td class="text-right">
                            <strong>
                                <?php echo $listing->getDropoff()->get('name') ?>
                                <?php echo tc_format_date($listing->getAcceptedRequest()->get('drop_off_date')) ?>
                                <?php echo tc_format_date($listing->getAcceptedRequest()->get('dropoff_time'), 'hours') ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td>Day breakdown</td>
                        <td class="text-right">
                            <strong>
                                <?php $price = 'free' ?>
                                <?php if ($listing->getIncludedDaysPrice()): ?>
                                    <?php $price = '$'.$listing->getIncludedDaysPrice().'/d'; ?>
                                <?php endif ?>
                                <?php echo $listing->getAcceptedRequest()->get('nb_free_days') ?>
                                <?php echo format_number_choice('[1] included %price% day |[2,+Inf] included %price% days', array('%price%' => $price), $listing->getAcceptedRequest()->get('nb_free_days')) ?>


                                <?php if ($listing->getAcceptedRequest()->get('nb_paid_days')): ?>
                                    + <?php echo $listing->getAcceptedRequest()->get('nb_paid_days') ?>
                                    <?php echo format_number_choice('[1] additional %price% day |[2,+Inf] additional %price% days', array('%price%' => $listing->get('price_per_day')), $listing->getAcceptedRequest()->get('nb_paid_days')) ?>
                                <?php endif ?>
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td>Vehicle</td>
                        <td class="text-right">
                            <strong>
                                <?php if ($listing->get('owner_vehicle_type_id')): ?>
                                    <?php echo $listing->get('OwnerVehicleType')->get('description') ?> -
                                <?php endif ?>
                                <?php echo $listing->get('VehicleType')->get('description') ?>
                            </strong>
                        </td>
                    </tr>
                </table>

                <div class="text-right" style="margin-bottom:18px;">
                    <?php echo link_to('View all details', 'listing/view?id='.$listing->getId(), array('target' => '_blank')) ?>
                </div>

                <form action="<?php echo url_for('listing/confirm?id='.$listing->getId()) ?>" class="reveal-ajax" method="post">
                    <div class="row">
                        <div class="four columns" style="line-height:30px;">
                            <?php echo $form['internal_reference']->renderLabel('Booking reference:') ?>
                        </div>
                        <div class="seven columns end">
                            <div class="input-like">
                                <?php echo render_row($form['internal_reference'], false, array('placeholder' => 'Reference (optional)')) ?>
                                <span>(<?php echo $driver->full_name() ?>)</span>
                            </div>
                        </div>
                    </div>

                    <div class="text-center">
                        <?php echo $form['_csrf_token'] ?>
                        <a href="<?php echo url_for('@homepage') ?>" class="button medium secondary">Continue to dashboard</a>
                        <button type="submit" class="button medium success">Change booking reference</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
dataLayer.push({
 'event': 'GAecommerce',
 'transactionId': '<?php echo $listing->get('accepted_request_id') ?>',
 'transactionTotal': 0.0,
 'transactionProducts': [{
     'sku': '<?php echo $listing->getId() ?>', //The unique product SKU goes here
     'name': '<?php echo $listing->getTitle() ?>',
     'category': '<?php echo $listing->get('VehicleType')->get('description') ?>', //The car category/type
     'price': 0.0,
     'quantity': 1
  }]
 });
</script>