<?php

/**
 * main actions.
 *
 * @package    sf_sandbox
 * @subpackage main
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class mainActions extends sfActions
{
    public function executeLang($request)
    {
      $culture = $request->getParameter('lang') == 'fr' ? 'fr_CA' : 'en';
      $this->getUser()->setCulture($culture);
      return $this->redirect('@homepage');
    }

    public function executeLogin($request)
    {
        $this->sign_in_form = new OwnerSigninForm();

        if ($request->isMethod('post')) {
            // Validate form data
            $form = $this->sign_in_form;

            $form->bind($request->getParameter('login'));

            if($form->isValid()){

                $user = $form->getValue('user');
                // Everything is OK, we can log in user
                $data = $request->getParameter('login');

                $this->forward404Unless($user); // We should never get here

                $this->getUser()->authenticate($user);

                // "Remember me" option
                if($request->hasParameter('remember_me')){
                    $key = $user->renewRememberMeKey();
                    $rk_key = $user->username.':'.$key;
                    $ttl = strtotime('+30 days');
                    $this->getResponse()->setCookie('transfercar_rk', $rk_key, $ttl);
                    $user->save();
                }

                $detect = new Mobile_Detect;
                if ( $detect->isMobile() ) {
                  return $this->redirect('mobile/index');
                }

                return $this->redirect($request->getParameter('referer', '@homepage'));
            }
        }

        // In other cases simply redirect to main page
        return sfView::SUCCESS;
    }

    public function executeLogout(sfWebRequest $request)
    {
        $this->getUser()->setAuthenticated(false);
        $this->getUser()->getAttributeHolder()->clear();

        if ($request->getCookie('transfercar_rk'))
        {
            $this->getResponse()->setCookie('transfercar_rk', null, -3600);
        }

        return $this->redirect('@homepage');
    }

    public function executeChangeCountry(sfWebRequest $request)
    {
        return $this->redirect($request->getReferer() ? $request->getReferer() : '@homepage');
    }

    public function executeImpersonate(sfWebRequest $request)
    {
        $conn = Doctrine_Manager::getInstance()->getCurrentConnection()->getDbh();
        $impersonator = new tcAdminImpersonator($conn);

        $ids = $impersonator->impersonate($request->getParameter('key'));
        $this->forward404Unless($ids);

        $user = Doctrine::getTable('OwnerUser')->find($ids[0]);
        $adminUser = Doctrine::getTable('AdminUser')->find($ids[1]);
        $this->forward404Unless($user && $adminUser);

        $this->getUser()->impersonate($user, $adminUser);

        return $this->redirect('@homepage');
    }

    /**
     * Show static page in popup window
     *
     * @param sfWebRequest $request HTTP request object
     */
    public function executeTerms($request)
    {
        $this->page = Doctrine::getTable('CMSPage')
            ->findPage($this->getUser()->getUserDomain(), '/ro-terms');

        $this->forward404Unless(is_object($this->page));

        $this->setLayout(false);
        return sfView::SUCCESS;
    }


    /**
     * Show static page in popup window
     *
     * @param sfWebRequest $request HTTP request object
     */
    public function executePageInPopup($request)
    {
        $this->page = Doctrine_Query::create()
           ->from('Page')
           ->where('name = ?', $request->getParameter('name'))
           ->fetchOne();

        $this->forward404Unless(is_object($this->page));

        if ($request->getParameter('backToRequest'))
        {
            $this->listing = Doctrine::getTable('Listing')->find($request->getParameter('backToRequest'));
            $this->forward404Unless($this->listing);

            $this->getResponse()->setTitle(sprintf('Transfercar terms for listing %s', $this->listing->getId(), $this->page->getId()));
        }


        // $this->setLayout('layout_popup');
        return sfView::SUCCESS;
    }
}
