<?php use_helper('Date') ?>
<?php $listing = $request->get('Listing') ?>
<div class="row border-0 d-flex p-0 mb-3">
  <div class="d-flex flex-column">
    <span class="mb-1 text-sm">
      <i class="fa fa-solid fa-user"></i>
      <span class="text-dark ms-sm-2 font-weight-bold">
        <?php $rating = floatval($request->get('Driver')->get('average_rating')) ?>
        <?php echo format_number_choice('[-Inf, 0) %r%% negative feedback[0] (0,+Inf] %r%% positive feedback', array('%r%' => sprintf('%0.0f', $rating * 100)), $rating) ?>
        <?php if ($relocs = $request->get('Driver')->reloc_count()): ?>
          <?php echo format_number_choice('[-Inf, 0) No relocation[1] 1 relocation (1,+Inf] %nb% relocations', array('%nb%' => $relocs), $relocs) ?>
        <?php endif ?>
        <?php echo __('Member since') ?> <?php echo date('Y', strtotime($request->get('Driver')->get('when_registered'))) ?>
      </span>
    </span>
    <span class="mb-1 text-sm">
      <?php if(!$request->get('Driver')->isVerified()): ?>
        <span class="text-sm fa-layers fa-fw">
          <i class="fa-duotone fa-envelope-open-text text-success" style="--fa-secondary-color: Tomato;"></i>
          <i class="fa-solid fa-inverse fa-circle" style="color:#fff" data-fa-transform="shrink-5 down-3 right-7"></i>
          <i class="fa-solid fa-inverse fa-circle-xmark" style="color:Tomato" data-fa-transform="shrink-7 down-3 right-7"></i>
        </span>
      <?php else: ?>
        <span class="text-sm fa-layers fa-fw">
          <i class="fa-duotone fa-envelope-open-text text-success" style="--fa-secondary-color: #2dce89"></i>
          <i class="fa-solid fa-inverse fa-circle" style="color:#fff" data-fa-transform="shrink-5 down-3 right-7"></i>
          <i class="fa-solid fa-inverse fa-circle-check text-success" data-fa-transform="shrink-7 down-3 right-7"></i>
        </span>
      <?php endif ?>
      <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $request->get('Driver')->get('email') ?></span>
    </span>
    <span class="mb-1 text-sm">
      <i class="fa-solid fa-mobile-screen-button"></i>
      <span class="text-dark ms-sm-2 font-weight-bold"><?php echo default_text($request->get('Driver')->get('mobile_phone'), 'N/A') ?></span>
    </span>
    
    <span class="mb-1 text-sm"><i class="fa fa-solid fa-id-card"></i> <span class="text-dark ms-sm-2 font-weight-bold"><?php echo default_text(format_country($request->get('Driver')->get('license')), 'N/A') ?></span></span>
  </div>
</div>
<div class="row">
  <div class="col-5">
    <div class="d-flex flex-column">
      <span><?php echo tc_format_date($request->get('pickup_date'), 'short') ?></span>
      <span><?php echo tc_format_date($request->get('pickup_time'), 'hours') ?></span>
    </div>
  </div>
  <div class="col-2">
    <div class="d-flex flex-column">
      <i class="fa fa-regular fa-car-side" aria-hidden="true"></i>
      <hr/>
    </div>
  </div>
  <div class="col-5 text-end">
    <div class="flex-column d-inline-flex text-end">
      <span><?php echo tc_format_date($request->get('drop_off_date'), 'short') ?></span>
      <span><?php echo tc_format_date($request->get('dropoff_time'), 'hours') ?></span>
    </div>
  </div>
</div>

<div class="row collapse<?php if (isset($show) && $show): ?> show<?php endif ?>" id="collapse_listing_<?php echo $request->getId() ?>">

  <?php $price = ((int) $request->get('Listing')->get('Owner')->get('relo_price_per_day')) ?>
  <div class="col-12">
    <ul class="list-group">
      <li class="list-group-item border-0 d-flex p-0 pt-2 mb-2 bg-gray-100 border-radius-lg">
        <div class="d-flex flex-column">
          <span class="mb-1 text-sm">TCID: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $request->getIncrementedId() ?></span></span>
          <span class="mb-1 text-sm">Vehicle: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $listing->get('OwnerVehicleType')->get('internal_name') ?></span></span>
          <span class="mb-1 text-sm">Type: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $listing->get('OwnerVehicleType')->get('VehicleType')->get('description') ?></span></span>

          <span class="mb-1 text-sm">Kms included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo default_text($listing->get('kms_allowed'), 'Unlimited') ?></span></span>
          <span class="mb-1 text-sm">Fuel included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo !$listing->get('petrol_included') ? 'No': default_text($listing->get('petrol_included_text'), 'Yes') ?></span></span>
          <span class="mb-1 text-sm">Insurance included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo !$listing->get('insurance_included') ? 'No' : default_text($listing->get('insurance_included_text'), 'Yes') ?></span></span>
          <span class="mb-1 text-sm">Expenses included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo !$listing->get('expenses_included') ? 'No' : default_text($listing->get('expenses_included_text'), 'Yes') ?></span></span>
          <span class="mb-1 text-sm">Ferry included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo !$listing->get('ferry_included') ? 'No' : default_text($listing->get('ferry_included_text'), 'Yes') ?></span></span>
          <?php if ($listing->getCountryDomain() != 'nz'): ?>
            <span class="mb-1 text-sm">Road tolls included: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo !$listing->get('tolls_included') ? 'No' :default_text($listing->get('tolls_included_text'), 'Yes') ?></span></span>
          <?php endif ?>
          <span class="mb-1 text-sm mt-2"><?php echo __('Relocation cost') ?>: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $listing->get('price') ?> <?php echo __('credits') ?></span></span>
          <?php if ($listing->get('price_per_day')): ?>
          <span class="mb-1 text-sm"><?php echo __('Extra paid days cost') ?>: <span class="text-dark ms-sm-2 font-weight-bold">: <?php echo $listing->getPriceForPaidDays($request) ?> <?php echo __('credits') ?></span></span>
          <?php endif ?>
          <span class="mb-1 text-sm"><?php echo __('Total cost') ?>: <span class="text-dark ms-sm-2 font-weight-bold"><?php echo $listing->getTotalPrice($request) ?> <?php echo __('credits') ?></span></span>
          <?php if ($request->get('nb_paid_days')): ?>
          <span class="mb-1 text-sm"><?php echo __('Revenue') ?>: <span class="text-dark ms-sm-2 font-weight-bold">$<?php echo $listing->getRevenue($request) ?></span></span>
          <?php endif ?>
        </div>
      </li>
    </ul>
  </div>

</div>
<?php if (!isset($show) || !$show): ?>
  <div class="row">
    <div class="col-12 text-dark font-weight-bold text-center">
      <a data-bs-toggle="collapse" data-toggle="collapse" href="#collapse_listing_<?php echo $request->getId() ?>" role="button" aria-expanded="false" aria-controls="collapse_listing_<?php echo $request->getId() ?>">View more</a>
    </div>
  </div>
<?php endif ?>