<?php use_helper('I18N') ?>


<?php if ($listing->getStatusName() === 'NoShow'): ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
    <?php if ($listing->getAcceptedRequest()->isInternalStatus(Request::INTERNAL_STATUS_REFUNDED)): ?>
        <?php echo __('Refunded') ?>
    <?php elseif ($listing->getAcceptedRequest()->isInternalStatus(Request::INTERNAL_STATUS_NOT_REFUNDED)): ?>
        <?php echo __('Not Refunded') ?>
    <?php else: ?>
        <?php echo __('Refund in progress') ?>
    <?php endif ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_ACCEPTED)): ?>
    <span class="float-end badge rounded-pill bg-success radius">
        <?php echo __($listing->getStatusName()) ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_BOOKED)): ?>
    <span class="float-end badge rounded-pill bg-success radius">
        <?php echo __('Booked') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_COMPLETED)): ?>
    <span class="float-end badge rounded-pill bg-success radius">
        <?php echo __('Completed') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_CLOSED)): ?>
    <span class="float-end badge rounded-pill bg-success radius">
        <?php echo __('Completed') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_EXPIRED)): ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
        <?php echo __('Expired') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_DELETED)): ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
        <?php echo __('Deleted') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_NEW) && $count = $listing->getRequestCount(array(Request::STATUS_PENDING))): ?>
    <a onclick="document.location.href=this.href" href="<?php echo url_for('mobile/index') ?>" class="float-end badge rounded-pill bg-warning radius">
        <?php echo __('Requested') ?> (<?php echo $count ?>)
    </a>
<?php elseif ($listing->isStatus(Listing::STATUS_CANCELED)): ?>
    <span class="float-end badge rounded-pill bg-warning radius">
        <?php if ($req = $listing->getAcceptedRequest()): ?>
            <?php if ($req->isStatus(array(Request::STATUS_DRIVER_CANCELED, Request::STATUS_CANCELED_BY_DRIVER))): ?>
                <?php echo __('Driver cancelled') ?>
            <?php else: ?>
                <?php echo __('Owner cancelled') ?>
            <?php endif ?>
        <?php else: ?>
            <?php echo __('Cancelled') ?>
        <?php endif ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_PICKED_UP)): ?>
    <span class="float-end badge rounded-pill bg-info bg-radius">
        <?php echo __('Picked up') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_DROPPED_OFF)): ?>
    <span class="float-end badge rounded-pill bg-info bg-radius">
        <?php echo __('Dropped off') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_PAUSED)): ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
        <?php echo __('Paused') ?>
    </span>
<?php elseif ($listing->isStatus(Listing::STATUS_NEW)): ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
        <?php echo __('Listed') ?>
    </span>
<?php else: ?>
    <span class="float-end badge rounded-pill bg-secondary radius">
        <?php echo $listing->getStatusName() ?>
    </span>
<?php endif ?>
