<?php use_helper('Date') ?>
<div class="row">
  <div class="col-12 mb-3">
    <h6 class="mb-0">
      <?php if (!isset($error)): ?>
      <div class="row">
        <div class="col-7">
          <label class="m-0 form-check-label text-bold"><?php echo $request->get('Driver')->getUsername() ?></label>
          <?php if(!$request->get('Driver')->isVerified()): ?>
          <span class="text-sm fa-layers fa-fw">
            <i class="fa-duotone fa-envelope-open-text text-success" style="--fa-secondary-color: Tomato;"></i>
            <i class="fa-solid fa-inverse fa-circle" style="color:#fff" data-fa-transform="shrink-5 down-3 right-7"></i>
            <i class="fa-solid fa-inverse fa-circle-xmark" style="color:Tomato" data-fa-transform="shrink-7 down-3 right-7"></i>
          </span>
        <?php else: ?>
          <span class="text-sm fa-layers fa-fw">
            <i class="fa-duotone fa-envelope-open-text text-success" style="--fa-secondary-color: #2dce89"></i>
            <i class="fa-solid fa-inverse fa-circle" style="color:#fff" data-fa-transform="shrink-5 down-3 right-7"></i>
            <i class="fa-solid fa-inverse fa-circle-check text-success" data-fa-transform="shrink-7 down-3 right-7"></i>
          </span>
        <?php endif ?>
        </div>
        <div class="col-5">
          <?php //include_partial('mobile/switch', ['request' => $request]) ?>
        </div>
      </div>
      <?php else: ?>
        <label class="m-0 form-check-label text-bold"><?php echo $request->get('Driver')->getUsername() ?></label>
      <?php endif ?>

      
    </h6>
    <small>
      <?php $rating = floatval($request->get('Driver')->get('average_rating')) ?>
      <?php echo format_number_choice('[-Inf, 0) %r%% negative feedback[0] (0,+Inf] %r%% positive feedback', array('%r%' => sprintf('%0.0f', $rating * 100)), $rating) ?>
      <?php if ($relocs = $request->get('Driver')->reloc_count()): ?>
        <?php echo format_number_choice('[-Inf, 0) No relocation[1] 1 relocation (1,+Inf] %nb% relocations', array('%nb%' => $relocs), $relocs) ?>
      <?php endif ?>
      <?php echo __('Member since') ?> <?php echo date('Y', strtotime($request->get('Driver')->get('when_registered'))) ?>
    </small>
  </div>
</div>
<div class="row">
  <div class="col-5">
    <div class="d-flex flex-column">
      <span><?php echo tc_format_date($request->get('pickup_date'), 'short') ?></span>
      <span><?php echo tc_format_date($request->get('pickup_time'), 'hours') ?></span>
    </div>
  </div>
  <div class="col-2">
    <div class="d-flex flex-column">
      <i class="fa fa-regular fa-car-side" aria-hidden="true"></i>
      <hr/>
    </div>
  </div>
  <div class="col-5 text-end">
    <div class="flex-column d-inline-flex text-end">
      <span><?php echo tc_format_date($request->get('drop_off_date'), 'short') ?></span>
      <span><?php echo tc_format_date($request->get('dropoff_time'), 'hours') ?></span>
    </div>
  </div>
</div>
<div class="row mt-2" style="--bs-gutter-x: 1rem;">
  <div class="col-8 text-dark font-weight-bold pe-0" style="border-top:1px solid">
    <?php $price = ((int) $request->get('Listing')->get('Owner')->get('relo_price_per_day')) ?>
    <?php echo format_number_choice('[0] 0 day|[1] 1 day|(1,+Inf] %1% days', ['%1%' => $request->getNbDays()], $request->getNbDays()) ?>
    <?php if ($request->get('nb_paid_days')): ?>(<?php echo $request->get('nb_free_days') ?> incl., <?php echo $request->get('nb_paid_days') ?> paid)<?php endif ?>
  </div>
  <div style="border-top:1px solid" class="p-0 col-4 text-dark font-weight-bold float-end text-end"><?php echo $request->get('Listing')->getTotalPrice($request) ?> credits</div>
</div>
<div class="row mt-3" style="--bs-gutter-x: 1rem;">
  <div class="col-6 text-center">
    <input class="btn-check btn-reject" type="radio" name="request_ids[<?php echo $request->getId() ?>]" id="radio-reject-<?php echo $request->getId() ?>" value="-1" aria-label="" data-listing-id="<?php echo $request->get('listing_id') ?>" data-price="0" data-revenue="0" form="request_form"<?php if (isset($reject)): ?><?php echo $reject ? ' checked' : '' ?><?php endif ?>>
    <label class="w-100 btn-xs btn mb-0 btn-secondary" for="radio-reject-<?php echo $request->getId() ?>">Decline</label>
  </div>

  <div class="col-6 text-center">
    <input class="btn-check btn-accept" type="radio" name="request_ids[<?php echo $request->getId() ?>]" id="radio-accept-<?php echo $request->getId() ?>" value="1" aria-label="Yes" data-listing-id="<?php echo $request->get('listing_id') ?>" data-price="<?php echo $request->get('Listing')->getTotalPrice($request) ?>" data-revenue="<?php echo $request->get('Listing')->getRevenue($request) ?>"  form="request_form"<?php if (isset($reject)): ?><?php echo $reject ? '' : ' checked' ?><?php endif ?>>
    <label class="w-100 btn-xs btn mb-0 btn-secondary" for="radio-accept-<?php echo $request->getId() ?>">Book</label>
  </div>
</div>
<div class="row mt-3 overlap-message" style="--bs-gutter-x: 1rem;">
  <div class="col-12  text-center">
    Driver selected for another listing
  </div> 
</div>
<?php if (isset($error)): ?>
<div class="row mt-2 " style="--bs-gutter-x: 1rem;">
  <div style="border-top:1px solid" class="col-12 text-danger font-weight-bold float-end">
    <?php if ($error == 'checksum'): ?>
      <?php 
      
      if ($request->isStatus(Request::STATUS_ACCEPTED)) {
            echo ('You already accepted this driver.');
        }

      elseif ($request->isStatus(Request::STATUS_REJECTED)) {
          echo ('You already rejected this driver.');
      }

      elseif ($request->isStatus([Request::STATUS_OTHER_CHOOSE, Request::STATUS_CANCELED])) {
          echo ('Another rental operator already accepted this driver.');
      }

      elseif ($request->isStatus(Request::STATUS_DRIVER_CANCELED)) {
          echo ('Driver cancelled the request.');
      } else {
        echo "Unknown error";
      }
    ?> 
    <?php else: ?>
      Bond could not be processed
    <?php endif ?>

  </div>
  
</div>
<?php endif ?>
