<?php decorate_with('mobile_layout') ?>
<?php use_javascript("/assets/js/requests.js") ?>
<?php use_stylesheet('/assets/css/requests.css') ?>
<?php slot('breadcrumb', 'Accept requests') ?>
<?php $nb = 0 ?>
<?php $credits = 0 ?>
<?php $revenue = 0 ?>
<?php foreach ($listings as $listing): ?>
  <?php foreach($listing->get('Requests') as $request): ?>
    <?php if (!in_array((int)$request->getId(), $rejected_ids->getRawValue())): ?>
      <?php $credits += $listing->getTotalPrice($request) ?>
      <?php $revenue += $listing->getRevenue($request) ?>
      <?php $nb++ ?>
    <?php endif ?>
  <?php endforeach ?>
<?php endforeach ?>


<?php if (isset($errors) && count($errors)): ?>
<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          Some requests could not be accepted
        </h6>
      </div>
      <div class="card-body mt-0 pt-0 ps-3 pe-3 pb-1">
        <ul class="list-group">
            <?php foreach($errors as $error): ?>
              <?php $request = $error['request'] ?>
                <li id="req_<?php echo $request->getId() ?>" rel="<?php echo 'driver-'.$request->get('driver_id') ?>" class="list-group-item border-0 p-2 mb-2 bg-gray-100 border-radius-lg <?php echo 'driver-'.$request->get('driver_id') ?><?php echo $overlaps ? ' overlaps' : '' ?>">
                  <?php include_partial('mobile/request', ['request' => $request, 'error' => $error['type'], 'switch' => false]) ?>
                </li>
            <?php endforeach ?>
          </ul>
      </div>
    </div>
  </div>
</div>
<?php endif ?>

<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          Summary:<br/>
          <ul>
            <?php if ($nb): ?>
              <li><?php echo $nb ?> booked</li>
            <?php endif ?>
            <?php if (count($rejected_ids)): ?>
              <li><?php echo count($rejected_ids) ?> declined</li>
            <?php endif ?>
          </ul>
        </h6>
      </div>
      <div class="card-body mt-0 pt-0 ps-3 pe-3 pb-1">
        <p>
          <?php if ($sf_user->getProfile()->get('Owner')->get('payment_cc')): ?>
            <?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?><br/>
          <?php endif ?>
          Total cost: <span id="total_price_top"><?php echo $credits ?> credits</span><br/>
          Total revenue: $<span id="total_revenue_top"><?php echo $revenue ?></span>
        </p>
      </div>
    </div>
  </div>
</div>

<?php foreach ($listings as $listing): ?>

  <div class="row mb-4">
    <div class="col-12">
      <div class="card">
        <div class="card-header pb-0 px-3">
          <h6 class="mb-0">
            TCID <?php echo $listing->getId() ?> 
            <span class="float-end"><?php echo $listing->getVehicle() ?></span>
          </h6>
          <p class="text-sm mb-0 font-weight-bold"><?php echo $listing->getTitle() ?></p>
        </div>
        <div class="card-body pt-4 p-3 pb-1">
          <ul class="list-group">
            <?php foreach($listing->get('Requests') as $request): ?>
              <?php if ($request->isStatus(Request::STATUS_PENDING)): ?>
                <li id="req_<?php echo $request->getId() ?>" rel="<?php echo 'driver-'.$request->get('driver_id') ?>" class="list-group-item border-0 p-2 mb-2 bg-gray-100 border-radius-lg <?php echo 'driver-'.$request->get('driver_id') ?><?php echo $overlaps ? ' overlaps' : '' ?>">
                  <?php include_partial('mobile/request', ['request' => $request, 'switch' => false, 'reject' => in_array($request->getId(), $rejected_ids->getRawValue())]) ?>
                </li>
              <?php endif ?>
            <?php endforeach ?>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <hr style="border:1px solid;opacity:1;"/>
<?php endforeach ?>
<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/index') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-7">
      <p class="text-sm mb-0 text-uppercase font-weight-bold" id="nb_requests">
        <?php echo format_number_choice('[0] Pay 0|[1] Pay %amount% credits for 1 relocation|(1,+Inf] Pay %amount% credits for %nb% relocations', ['%amount%' => $price, '%nb%' => $nb], $nb) ?>
      </p>
      <p class="text-sm mb-0 text-uppercase font-weight-bold" id="total_price">&nbsp;</p>
    </div>
    <div class="col-4">
      <form name="request_form" id="request_form" action="<?php echo url_for('mobile/pay') ?>" method="post">
        <?php echo $form['_csrf_token'] ?>
        <button type="submit" class="btn btn-primary">Accept</button>
      </form>
    </div>
  </div>
</div>
<?php end_slot() ?>