<?php echo decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Bookings') ?>


<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          Bookings <button class="float-end btn" data-bs-toggle="collapse" href="#collapseFilter" role="button" aria-expanded="false" aria-controls="collapseFilter"><i class="fa fa-solid fa-filter"></i></button>
        </h6>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <div class="collapse" id="collapseFilter">
          <form action="" method="post">
            <div class="form-group">
              <?php $statuses = ListingTable::getStatuses() ?>
              <?php unset($statuses['requested'],$statuses['refunding'],$statuses[Listing::STATUS_NEW]) ?>
              <?php echo select_tag('status', options_for_select(array_map('__', $statuses), $sf_params->get('status')), ['class' => 'form-control']) ?>
            </div>

            <div class="form-group">
              <input placeholder="TCID, name or email" type="text" name="search" class="form-control" value="<?php echo $sf_request->getParameter('search') ?>"/>
            </div>

            <div class="row mb-3">
              <div class="col-7">
                <div class="input-group">
                  <div class="input-group-text"><i class="fa-solid fa-arrow-up-arrow-down"></i></div>
                  <select class="form-control" name="sort">
                    <option <?php echo ($sf_request->getParameter('sort', 'booking_date') == 'booking_date') ?' selected ':''?> value="booking_date">Booking date</option>
                    <option <?php echo ($sf_request->getParameter('sort') == 'pickup_date') ?' selected ':''?> value="pickup_date">Pickup date</option>
                    <option <?php echo ($sf_request->getParameter('sort') == 'dropoff_date') ?' selected ':''?> value="dropoff_date">Dropoff date</option>
                    <option <?php echo ($sf_request->getParameter('sort') == 'pickup') ?' selected ':''?> value="pickup">Pickup location</option>
                    <option <?php echo ($sf_request->getParameter('sort') == 'dropoff') ?' selected ':''?> value="dropoff">Dropoff location</option>
                  </select>
    <!-- 
                  -->
                </div>
              </div>
              <div class="col-5">
                <select class="form-control" name="sort_direction">
                    <option<?php echo ($sf_request->getParameter('sort_direction') == 'asc') ?' selected ':''?> value="asc">Ascending</option>
                    <option<?php echo ($sf_request->getParameter('sort_direction', 'desc') == 'desc') ?' selected ':''?> value="desc">Descending</option>
                  </select> 
               <!--  <div class="form-check form-check-sort">
                  <input type="checkbox" class="form-check-input" id="sort_direction"/>
                  <label class="custom-control-label" for="sort_direction"><i class="fa-regular fa-circle-sort-up"></i></label>
                </div> -->
              </div>
            </div>
            <button class="btn" type="submit">Filter</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="accordion accordion-flush" id="accordionFlushBookings">
  <?php if (!count($bookings)): ?>
    <div class="accordion-item">
      <div class="p-3">
        <h6>No booking found!</h6>
      </div>
    </div>
  <?php endif ?>
  <?php foreach ($bookings as $booking): ?>

  <div class="accordion-item">
    <h4 class="accordion-header" id="flush-headingOne">
      <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapse<?php echo $booking->getId() ?>" aria-expanded="false" aria-controls="flush-collapse<?php echo $booking->getId() ?>">
        
        <?php $listing = $booking->get('Listing') ?>
        <div class="ps-2 w-100">
          <?php include_partial('mobile/booking_status', ['listing' => $listing]) ?>
          <div class="col-12 text-dark"><i class="fa fa-solid fa-user"></i> <?php echo $booking->get('Driver')->full_name() ?></div>
          <div>
            <i class="fa fa-solid fa-route"></i>
            <?php echo $listing->get('OwnerPickupBranch')->get('internal_name') ?> to <?php echo $listing->get('OwnerDropoffBranch')->get('internal_name') ?>
          </div>
          <div>
            <i class="fa fa-solid fa-calendar"></i>
            <?php echo tc_format_date($booking->get('pickup_date'), 'short') ?>-
            <?php echo tc_format_date($booking->get('drop_off_date'), 'short') ?>
          </div>
        </div>
      </button>

    </h4>
    <div id="flush-collapse<?php echo $booking->getId() ?>" class="accordion-collapse collapse" aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushBookings">
      <div class="accordion-body accordion-booking"  data-bs-toggle="collapse" data-bs-target="#flush-collapse<?php echo $booking->getId() ?>">
        
        <?php include_partial('mobile/booking', ['request' => $booking, 'show' => true]) ?>
      </div>
    </div>
  </div>
  <?php endforeach ?>
</div>
<?php if ($pager->haveToPaginate()): ?>
  <?php $filters = http_build_query(array_filter([
    'search' => $sf_params->get('search'),
    'status' => $sf_params->get('status'),
    'sort'   => $sf_params->get('sort'),
    'sort_direction'  => $sf_params->get('sort_direction'),
  ])); ?>
<div class="row mt-4 mb-4">
  <div class="col-12">
    <nav aria-label="Booking page navigation">
      <ul class="pagination justify-content-center">
        <li class="page-item">
          <a href="<?php echo url_for('mobile/bookings?page='.$pager->getFirstPage().($filters ? '&'.$filters:'')) ?>" class="page-link" aria-label="First"><span aria-hidden="true">&laquo;</span></a>
        </li>
        <li class="page-item">
          <a href="<?php echo url_for('mobile/bookings?page='.$pager->getPreviousPage().($filters ? '&'.$filters:'')) ?>" class="page-link" aria-label="Previous"><span aria-hidden="true">&lt;</span></a>
        </li>
        <?php foreach($pager->getLinks(3) as $page): ?>
          <li class="page-item<?php echo ($sf_request->getParameter('page', 1) == $page) ? ' active' : '' ?>"><a href="<?php echo url_for('mobile/bookings?page='.$page.($filters ? '&'.$filters:'')) ?>"class="page-link"><?php echo $page ?></a></li>
        <?php endforeach ?>
        <li class="page-item">
          <a href="<?php echo url_for('mobile/bookings?page='.$pager->getNextPage().($filters ? '&'.$filters:'')) ?>" class="page-link" aria-label="Next"><span aria-hidden="true">&gt;</span></a>
        </li>
        <li class="page-item">
          <a href="<?php echo url_for('mobile/bookings?page='.$pager->getLastPage().($filters ? '&'.$filters:'')) ?>" class="page-link" aria-label="Next"><span aria-hidden="true">&raquo;</span></a>
        </li>
      </ul>
    </nav>
  </div>
</div>
<?php endif ?>
<?php append_slot('javascripts') ?>
<style type="text/css">
  .accordion {
    --bs-accordion-bg:  #fff;
    --bs-accordion-color:  #000;
  }

  .accordion-item {
    border-bottom: 1px solid #ccc;
  }

  .accordion-item:first-of-type {
    border-top-left-radius: 1rem!important;
    border-top-right-radius: 1rem!important;
  }

  .accordion-body .list-group {
    margin-top: 10px!important;
  }

  .accordion-body .list-group-item {
    padding: 5px!important;
  }

  .accordion-booking .d-flex > span.mb-1 svg{
    width: 18px;
  }

  .page-item.active .page-link {
    color:  #fff;
  }

  .form-check-sort .form-check-input[type=checkbox]::after {
    display: none!important;
  }

  .accordion-header .float-end.badge {
    margin-top: -5px;
    margin-right: -20px;
  }

  /*.form-check-sort:not(.form-switch) .form-check-input[type=checkbox]::after {
    font: var(--fa-font-solid);
    content: "\f0dc";
    color: red;
  }*/
</style>
<?php end_slot() ?>