<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Select credits') ?>
<?php
    use_helper('Form');

    $cc_count = count(CreditCard::user_cards_list());

    // Secure URL for form sending
    $action_url = url_for('mobile/payWithCard');
    // Uncomment line below if SSL certificate will be set properly
    //$action_url = str_replace('http:', 'https:', $action_url);
?>

<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>

<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          <?php echo __('Credit my account') ?>
        </h6>
        <p class="mb-0">
            <?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?>
        </p>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <ul class="list-group">
            <li class="list-group-item">
                <div class="row">
                    <div class="col-auto">
                        <h6><?php echo __('Top up your Transfercar account now by credit card') ?></h6>
                        <p>
                            <?php echo __('You selected') ?> <b><?php echo $credit_info["credit"]; ?></b> <?php echo __('credits.') ?><br/>
                            <?php echo __('It costs')?> <b><?php echo $credit_info["price"]; ?></b> <?php echo  $currency_name; ?>.
                        </p>
                    </div>
                </div>

                <form action="<?php echo url_for('mobile/payWithCard') ?>" method="post" id="balance_form" name="balance_form">
                    <div class="row">
                        <?php
                            // If user already has credit card saved, show additional options
                            if($cc_count > 0){
                        ?>
                        <div class="col-12">
                            <label for="balance_card"><?php echo __('Pay by:') ?></label>
                        </div>
                        <div class="col-12">
                            <ul class="list-group">
                                <li class="list-group-item">
                                    <div class="form-check">
                                          <input class="form-check-input" value="existing" checked="checked" type="radio" name="balance_card" id="balance_card_existing">
                                          <label class="form-check-label" for="balance_card_existing">
                                            <?php echo __('Existing credit card') ?>
                                          </label>
                                    </div>
                                </li>
                                <li class="list-group-item">
                                    <div class="form-check">
                                          <input class="form-check-input" value="new" type="radio" name="balance_card" id="balance_card_new">
                                          <label class="form-check-label" for="balance_card_new">
                                            <?php echo __('Use a different credit card') ?>
                                          </label>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <?php
                            } else { // user hasn't any card yet
                                echo input_hidden_tag('balance_card', 'new');
                            }
                        ?>
                    </div>                  
                </form>
            </li>
        </ul>
      </div>
    </div>
  </div>
</div>


<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/selectCredits') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-7">
      &nbsp;
    </div>
    <div class="col-4">
        <button type="submit" form="balance_form" class="btn btn-primary">Continue</button>
      </form>
    </div>
  </div>
</div>
<?php end_slot() ?>