<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Payment accepted') ?>

<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          <?php echo __('Payment success') ?>
        </h6>
        <p>
            <?php echo __('New current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?>
        </p>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <p>
            <?php echo __('Please continue and accept your requests.') ?><br />
        </p>
      </div>
    </div>
  </div>
</div>



<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/accept') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-5">
      <p class="text-sm mb-0 text-uppercase font-weight-bold" id="nb_requests">
        <?php echo format_number_choice('[0] Pay 0|[1] Pay %amount% credits for 1 relocation|(1,+Inf] Pay %amount% credits for %nb% relocations', ['%amount%' => $price, '%nb%' => $nb], $nb) ?>
      </p>
    </div>
    <div class="col-6 text-end">
      <form action="<?php echo url_for('mobile/pay') ?>" method="post">
        <?php foreach($ids as $id): ?>
          <input type="hidden" name="request_ids[<?php echo $id ?>]" value="1" />
        <?php endforeach ?>
        <?php foreach($rejected_ids as $id): ?>
          <input type="hidden" name="request_ids[<?php echo $id ?>]" value="-1" />
        <?php endforeach ?>
        <?php echo $form['_csrf_token'] ?>
        <button type="submit" class="btn btn-primary">Accept requests</button>
      </form>
    </div>
  </div>
</div>
<?php end_slot() ?>