<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Bookings confirmed') ?>
<?php $nb = $nbRejected = $credits = $revenue = 0 ?>
<?php foreach ($listings as $listing): ?>
    <?php foreach($listing->get('Requests') as $request): ?>
      <?php if ($request->isStatus(Request::STATUS_ACCEPTED)): ?>
          <?php $credits += $listing->getTotalPrice($request) ?>
          <?php $revenue += $listing->getRevenue($request) ?>
          <?php $nb++ ?>
        <?php else: ?>
          <?php $nbRejected++ ?>
        <?php endif ?>
    <?php endforeach ?>
<?php endforeach ?>
<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          <?php if ($nb): ?>
            You have successfully accepted <?php echo $nb ?> request<?php echo $nb > 1 ? 's':'' ?><br/>
          <?php endif ?>
          <?php if ($nbRejected): ?>
            <?php echo $nbRejected == 1 ? '1 request has been declined.' : $nbRejected.' requests have been declined' ?>
          <?php endif ?>
        </h6>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <p>
          Total cost: <?php echo $credits ?> credits<br/>
          Total revenue: $<?php echo $revenue ?><br/>
          <?php if ($sf_user->getProfile()->get('Owner')->get('payment_cc')): ?>
            <?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?>
          <?php endif ?>
        </p>
      </div>
    </div>
  </div>
</div>

<?php foreach ($listings as $listing): ?>
  <?php if ($listing->get('accepted_request_id')): ?>
  <div class="row mb-4">
    <div class="col-12">
      <div class="card">
        <div class="card-header pb-0 px-3">
          <h6 class="mb-0">TCID <?php echo $listing->getId() ?> <span class="float-end"><?php echo $listing->getVehicle() ?></span></h6>
          <p class="text-sm mb-0 text-uppercase font-weight-bold"><?php echo $listing->getTitle() ?></p>
        </div>
        <div class="card-body pt-4 p-3">
          <ul class="list-group">
            <?php foreach($listing->get('Requests') as $request): ?>
              <?php if ($request->isStatus(Request::STATUS_ACCEPTED)): ?>
                <li class="list-group-item border-0 p-2 mb-2 bg-gray-100 border-radius-lg">
                  <div class="row">
                    <div class="col-12 mb-0">
                      <h6 class="mb-1 text-sm">
                        <?php echo default_text($request->get('Driver')->full_name(), 'N/A') ?>
                      </h6>
                    </div>
                  </div>
                  <?php include_partial('mobile/booking', ['request' => $request]) ?>
                </li>
              <?php endif ?>
            <?php endforeach ?>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <?php endif ?>
<?php endforeach ?>
<?php append_slot('javascripts') ?>
<style type="text/css">
  .list-group .d-flex > span.mb-1 svg{
    width: 18px;
  }

</style>
<script type="text/javascript">
  jQuery('.list-group-item a[data-toggle="collapse"]').on('click', function(){
    if(jQuery(this).hasClass('collapsed')) {
      jQuery(this).html('View more');
    } else {
      jQuery(this).html('View less');
    }
  });
</script>
<?php end_slot() ?>
