<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>
<?php $id=uniqid() ?>
<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Use existing credit card') ?>

<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0"><?php echo __('Pay with new card') ?></h6>
        <?php if ($form->isBound() && $form->isValid()): ?>
        <div class="alert-box alert">
            <?php echo __('We are unable to process the credit card:') ?> <?php echo $form->paymentError ?>
        </div>
        <?php endif ?>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <div class="row">
          <div class="col-12">
            <form action="<?php echo url_for('mobile/payWithCard') ?>" method="post" id="balance_form" name="card_form">
              <div class="row">
                <div id="card-element">
                </div>
                <small id="card-errors" class="error<?php if ($form['stripeToken']->hasError()): ?> has-error<?php endif?>">
                    <?php echo $form['stripeToken']->renderError() ?>
                </small>
              </div>
              <div class="row">
                <div class="col-3">
                  <?php echo label_for('amount', __('Amount:')) ?>
                </div>
                <div class="col-7">
                  <?php echo '<b>' . $amount . ' </b>' . $currency_name; ?>

                  <?php echo $form['_csrf_token'] ?>
                  <?php echo $form['amount'] ?>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
    
<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/chargeAccount') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-7">
      <p class="text-sm mb-0 text-uppercase font-weight-bold">
        Purchase <?php echo $credit_info['credit'] ?> credits ($<?php echo $credit_info['price'] ?>)
      </p>
    </div>
    <div class="col-4">
        <button type="submit" form="balance_form" class="btn btn-primary">Continue</button>
      </form>
    </div>
  </div>
</div>
<style type="text/css">
    /**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

#card-errors {
    margin-top: -3px;
    display: none;
    background: red;
    line-height: 20px;
    padding: 5px;
    color: #fff;
    font-weight: bold;
}

#card-errors ul {
    list-style-type: none;
}

#card-errors.has-error {
    display: block;
}

</style>
<?php $request_ids = [] ?>
<?php foreach($ids as $id): ?>
  <?php $request_ids[] = $id ?>
<?php endforeach ?>
<script type="text/javascript" src="/js/stripe.js"></script>
<script type="text/javascript">
jQuery('#balance_form').tcStripe({
    stripe_key: '<?php echo sfConfig::get('sf_stripe_public') ?>',
    stripe_token_name: "payment[stripeToken]"
});
</script>
<?php end_slot() ?>