<?php use_helper('Form') ?>
<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Use existing credit card') ?>
<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>


<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0"> <?php echo __('Pay with existing card') ?></h6>

        <?php if (isset($form) && ($form->paymentError || !$form->isValid())): ?>
          <div class="alert-box alert">
              <?php echo __('We are unable to process the credit card:') ?> <?php echo $form->paymentError ?>
              <?php echo $form->getErrorSchema() ?>
          </div>
        <?php endif ?>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <div class="row">
          <div class="col-12">
            <form action="<?php echo url_for('mobile/payWithStoredCard') ?>" method="post" name="card_form" id="card_form" class="reveal-ajax">
              <input type="hidden" name="balance_card" id="balance_card" value="existing" />
                  <div class="row">
                      <div class="col-2">
                          <?php echo label_for('card_id', __('Credit Card:')) ?>
                      </div>
                      <div class="col-10">
                          <?php echo select_tag('card_id', options_for_select($cards), ['class' => 'form-select']) ?>
                      </div>
                  </div>

                  <div class="row">
                      <div class="col-3">
                          <?php echo label_for('amount', __('Amount:')) ?>
                      </div>
                      <div class="col-9">
                          <?php echo '<b>' . $amount . ' </b>' . $currency_name; ?>
                          <?php echo input_hidden_tag("amount", $amount); ?>
                      </div>
                  </div>

                  <div class="row">
                      <div class="col-12">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="1" id="receipt" name="receipt">
                          <label class="form-check-label" for="receipt">
                            <?php echo __('Email receipt') ?>
                          </label>
                        </div>
                      </div>
                  </div>
              </form>
            </div>
          </div>
      </div>
    </div>
  </div>
</div>

<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-1">
      <a href="<?php echo url_for('mobile/chargeAccount') ?>" ><i class="fa fa-regular fa-arrow-left"></i></a>
    </div>
    <div class="col-7">
      <p class="text-sm mb-0 text-uppercase font-weight-bold" id="nb_requests">
        <?php echo format_number_choice('[0] Pay 0|[1] Pay %amount% credits for 1 relocation|(1,+Inf] Pay %amount% credits for %nb% relocations', ['%amount%' => $price, '%nb%' => $nb], $nb) ?>
      </p>
    </div>
    <div class="col-4">
        <button type="submit" form="card_form" class="btn btn-primary">Pay now</button>
      </form>
    </div>
  </div>
</div>
<?php end_slot() ?>