<?php decorate_with('mobile_layout') ?>
<?php slot('breadcrumb', 'Accept requests') ?>
<?php $ids = [] ?>
<div class="row mb-4">
  <div class="col-12">
    <div class="card">
      <div class="card-header pb-0 px-3">
        <h6 class="mb-0">
          <?php echo __('Top up your Transfercar account now by credit card') ?>
        </h6>
      </div>
      <div class="card-body pt-4 p-3 pb-1">
        <form action="<?php echo url_for('mobile/payWithCard') ?>" method="post" id="balance_form" name="balance_form">
          
          <div id="card-element"></div>
          <small id="card-errors" class="error<?php if ($form['stripeToken']->hasError()): ?> has-error<?php endif?>">
              <?php echo $form['stripeToken']->renderError() ?>
          </small>
          <?php foreach($sf_request->getParameter('request_ids') as $id): ?>
            <input type="hidden" name="request_ids[]" value="<?php echo $id ?>" />
            <?php $ids[] = $id ?>
          <?php endforeach ?>
          <?php foreach($sf_request->getParameter('rejected_ids') as $id): ?>
            <input type="hidden" name="rejected_ids[]" value="<?php echo $id ?>" />
            <?php $ids[] = $id ?>
          <?php endforeach ?>
          <?php echo $form ?>
        </form>
      </div>
    </div>
  </div>
</div>

<?php append_slot('javascripts') ?>
<style type="text/css">
.pending-menu { display: block }
</style>
<div class="pending-menu">
  <div class="row">
    <div class="col-8">
      <p class="text-sm mb-0 text-uppercase font-weight-bold">
        Purchase <?php echo $credit_info['credit'] ?> credits ($<?php echo $credit_info['price'] ?>)
      </p>
    </div>
    <div class="col-4">
        <button type="submit" form="balance_form" class="btn btn-primary">Continue</button>
      </form>
    </div>
  </div>
</div>
<style type="text/css">
    /**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

#card-errors {
    margin-top: -3px;
    display: none;
    background: red;
    line-height: 20px;
    padding: 5px;
    color: #fff;
    font-weight: bold;
}

#card-errors ul {
    list-style-type: none;
}

#card-errors.has-error {
    display: block;
}

</style>

<script type="text/javascript" src="/js/stripe.js"></script>
<script type="text/javascript">
jQuery('#balance_form').tcStripe({
    stripe_key: '<?php echo sfConfig::get('sf_stripe_public') ?>',
    stripe_token_name: "payment[stripeToken]",
    success: function(form) {
        jQuery.ajax({
            url: form.action,
            type: 'POST',
            data: $(form).serialize(),
            success: function(response) {
                document.location.href='<?php echo url_for('mobile/confirmed?request_ids='.implode(',', $ids)) ?>'
            },
            beforeSend: function() {
                $('.tc-reveal-content').html('<img src="/greybox/indicator.gif" />');
            }
        });
    }
});
</script>
<?php end_slot() ?>