<?php

/**
 * owner actions.
 *
 * @package    sf_sandbox
 * @subpackage owner
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class ownerActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeIndex($request)
  {
    $profile = $this->getUser()->getProfile()->get('Owner');
    $profile->refresh();

    $this->form = new OwnerUserForm($profile);

    if ($request->isMethod('post'))
    {
        $this->form->bind($request->getParameter('user'), $request->getFiles('user'));

        if ($this->form->isValid())
        {
            $this->form->save();

            $this->getUser()->setFlash('notice', 'Your account has been updated');
            $this->redirect('owner/index');
        }
    }
  }

  public function executeChangePassword(sfWebRequest $request)
  {
    $profile = $this->getUser()->getProfile()->get('Owner');
    $profile->refresh();
    $this->form = new OwnerUserChangePasswordForm();

    if ($this->getRequest()->isMethod('POST')) {
        $this->form->bind($request->getParameter('users'));

        if ($this->form->isValid()) {
            // sha1 the password for BC with old authentication strategy
            $profile->setPassword(sha1($this->form->getValue('password')));
            $profile->save();

            $this->getUser()->setFlash('notice', 'Your password has been updated');

            return $this->renderPartial('global/close_modal');
        }
    }
  }

  public function executeTerms($request)
  {
    $id = intval($request->getParameter('id'));

    $this->terms = Doctrine_Query::create()
      ->from("Terms")
      ->where("id = ?", $id)
      ->addWhere("user_id =?", $this->getUser()->getOwnerId())
      ->fetchOne();

    $this->forward404Unless($this->terms);
    sfConfig::set("sf_web_debug", false);
    $this->setLayout(false);
  }

  public function executeScore($request)
  {
    sfConfig::set("sf_web_debug", false);
    $this->setLayout(false);

    $profile = $this->getUser()->getProfile()->get('Owner');
    $this->score = round(100*$profile->get('response_rate'));
    $this->update_date = $profile->get('response_rate_date');
    $from_date = new DateTime($this->update_date);
    $from_date = $from_date
      ->sub(new DateInterval('P3M'))
      ->format('Y-m-d');

    $this->nb_requests = Doctrine::getTable('Request')
      ->getNbRequests(
        $profile,
        $from_date,
        $this->update_date
      );

    $this->nb_accepted_requests = Doctrine::getTable('Request')
      ->getNbRequests(
        $profile,
        $from_date,
        $this->update_date,
        array(Request::STATUS_ACCEPTED, Request::STATUS_RATED)
      );


    $this->nb_rejected_requests = Doctrine::getTable('Request')
      ->getNbRequests(
        $profile,
        $from_date,
        $this->update_date,
        array(Request::STATUS_REJECTED)
      );

    $this->nb_expired_requests = Doctrine::getTable('Request')
      ->getNbRequests(
        $profile,
        $from_date,
        $this->update_date,
        array(Request::STATUS_EXPIRED)
      );
  }
}
