<?php use_helper('Transfercar') ?>
<form action="" method="post" enctype="multipart/form-data" id="owner_form">

<div class="row">
    <div class="four columns">
        <?php echo $form['company']->renderRow() ?>
        <?php echo $form['address_line1']->renderRow() ?>
        <?php echo $form['suburb']->renderRow() ?>
    </div>

    <div class="four columns">
        <?php echo $form['email']->renderRow() ?>
        <?php echo $form['address_line2']->renderRow() ?>
        <?php echo $form['postcode']->renderRow() ?>
    </div>

    <div class="four columns">
        <?php echo $form['website']->renderRow() ?>
        <?php echo $form['city']->renderRow() ?>
        <?php echo $form['contact_phone']->renderRow() ?>
    </div>
</div>


<div class="row">
    <div class="four columns">
        <?php echo render_row($form['logo'], 'Logo', array('help' => 'company_logo')) ?>
    </div>
    <div class="four columns end">
        <?php if ($form->getObject()->get('logo')): ?>
            <img src="<?php echo $form->getObject()->get('logo') ?>" />
        <?php endif ?>
    </div>
</div>

<div class="row">
    <div class="twelve columns">
        <?php echo $form['description']->renderRow() ?>
    </div>
</div>

<div class="row">
    <div class="six columns">
        <?php echo render_row($form['driver_request_instructions'], __('Driver request instructions'), array('help' => 'company_driver_request_instruction')) ?>
    </div>
    <div class="six columns">
        <?php echo render_row($form['driver_accepted_instructions'], __('Driver accepted instructions'), array('help' => 'company_driver_accepted_instruction')) ?>
    </div>
</div>

<div class="row">
    <div class="three columns">
        <?php echo render_row($form['closed_in_week_end'], 'Reservation closed in weekend') ?>
    </div>
    <div class="three columns">
        <?php echo render_row($form['week_end_closing_time'], 'Requests closing at Friday') ?>
    </div>
    <div class="three columns">
        <?php echo render_row($form['week_end_opening_time'], 'Requests opening at Sunday') ?>
    </div>
    <div class="three columns">
        <?php echo render_row($form['timezone'], 'Timezone') ?>
    </div>
</div>

<div class="row">
    <div class="twelve columns">
        <?php echo render_row($form['license_type'], 'License type') ?>
    </div>
</div>


<div class="row" style="margin-top:10px">
    <div class="twelve columns">
        <label><?php echo __('Credit cards') ?></label>
        <?php echo $form['allow_debit_card']->renderLabel($form['allow_debit_card']->render().' '.__('Allow debit cards')) ?>
        <?php echo $form['allow_debit_card']->renderError() ?>
    </div>
    <div class="twelve columns">
        <?php echo render_row($form['debit_card_text'], 'Debit cards conditions') ?>
    </div>
</div>

<div class="row" style="margin-top:10px">
    <div class="three columns">
        <label>Data export format</label>
        <?php echo render_row($form['data_export_format'], 'Selected') ?>
    </div>
    <div class="two columns text-center">
        <div><input class="button tiny secondary" type="button" id="move-left" value="LEFT" /></div>
        <div><input class="button tiny secondary" type="button" id="move-right" value="RIGHT" /></div>
        <div><input class="button tiny secondary" type="button" id="move-up" value="UP" /></div>
        <div><input class="button tiny secondary" type="button" id="move-down" value="DOWN" /></div>
    </div>
    <div class="three end columns">
        <label>&nbsp;</label>
        <?php echo render_row($form['data_export_format_available'], 'Available') ?>
    </div>
</div>

<div class="row" style="margin-top:20px">
    <?php echo $form['_csrf_token'] ?>
    <div class="twelve columns text-center">
        <button type="submit" class="button success">Save company details</button>
    </div>
</div>
</form>

<?php append_slot('javascripts') ?>
<style type="text/css">
    #user_data_export_format_available,
    #user_data_export_format {
        height: 120px;
    }
    #move-left {
        margin-top: 50px;
    }

    .two.columns .button {
        width: 65px;
        margin-bottom: 5px;
    }
</style>
<script type="text/javascript">
(function($){
    function toggleWeekEndFields()
    {
        var disabled = $('#user_closed_in_week_end_0').is(':checked') ? 'disabled' : false;
        $('#user_week_end_closing_time, #user_week_end_opening_time').attr('disabled', disabled);
    }

    toggleWeekEndFields();
    $('input[name="user[closed_in_week_end]"]').change(toggleWeekEndFields);
})(jQuery);
</script>

<script type="text/javascript">
$(document).ready(function() {
    $('#move-up').click(moveUp);
    $('#move-down').click(moveDown);
    $('#move-left').click(moveLeft);
    $('#move-right').click(moveRight);
});

function moveLeft() {
    $('#user_data_export_format_available :selected').remove().appendTo('#user_data_export_format');
}

function moveRight() {
    $('#user_data_export_format :selected').remove().appendTo('#user_data_export_format_available');
}

function moveUp() {
    $('#user_data_export_format :selected').each(function(i, selected) {
        if (!$(this).prev().length) return false;
        $(this).insertBefore($(this).prev());
    });
    //$('#user_data_export_format').focus().blur();
    //$('#user_data_export_format option').prop('selected', 'selected');
}

function moveDown() {
    $($('#user_data_export_format :selected').get().reverse()).each(function(i, selected) {
        if (!$(this).next().length) return false;
        $(this).insertAfter($(this).next());
    });
    //$('#user_data_export_format').focus().blur();
}

$('#owner_form').on('submit', function(){
    $('#user_data_export_format option').prop('selected', 'selected');
});
</script>
<?php end_slot() ?>
