<?php //decorate_with(false) ?>
<?php
    use_helper('Form');

    $cc_count = count(CreditCard::user_cards_list());

    // Secure URL for form sending
    $action_url = url_for('payment/payWithCard');
    // Uncomment line below if SSL certificate will be set properly
    //$action_url = str_replace('http:', 'https:', $action_url);
?>

<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>

<h1><?php echo __('Credit my account') ?></h1>

<div>
    <div style="row">
        <h4><?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?></h4>
    </div>
    <form action="<?php echo $action_url ?>" method="post" id="balance_form" name="balance_form" class="reveal-ajax">
        <div class="payment">
            <label for="balance_value">
                <?php echo __('Top up your Transfercar account now by credit card') ?>
            </label>
        </div>

        <div class="row">
            <div class="twelve columns">
                <p><?php echo __('You select') ?> <b><?php echo $credit_info["credit"]; ?></b> <?php echo __('credits. It cost') ?> <b><?php echo $credit_info["price"]; ?></b> <?php echo  $currency_name; ?></p>
            </div>
        </div>

        <div>
            <div class="row">
                <?php
                    // If user already has credit card saved, show additional options
                    if($cc_count > 0){
                ?>
                <div class="payment_left leftmargin"  style="margin-top: 20px;">
                    <label for="balance_card"><?php echo __('Pay by:') ?></label>
                </div>
                <div class="payment_right"  style="margin-top: 20px;">
                    <input type="radio" id="balance_card_existing" name="balance_card"
                        value="existing" checked="checked" /> 
                        <label style="display:inline-block;" for="balance_card_existing">
                            <?php echo __('Existing credit card') ?>
                        </label>
                </div>
                <div style="clear:both;"></div>
                <div class="payment_left leftmargin">&nbsp;</div>
                <div class="payment_right">
                    <input type="radio" id="balance_card_new" name="balance_card"
                        value="new" /> <label style="display:inline-block;" for="balance_card_new"><?php echo __('Use a different credit card') ?></label>
                </div>
                <?php
                    } else { // user hasn't any card yet
                        echo input_hidden_tag('balance_card', 'new');
                    }
                ?>
            </div>
            <?php if ($sf_params->get('req_id')): ?>
                <input type="hidden" value="<?php echo $sf_params->get('req_id') ?>" name="req_id" />
                <a href="<?php echo url_for('request/accept?id='.$sf_params->get('req_id')) ?>" class="button reveal-ajax"><?php echo __('Back') ?></a>
            <?php else: ?>
                <a href="<?php echo url_for('payment/selectCredits') ?>" class="button reveal-ajax"><?php echo __('Back') ?></a>
            <?php endif ?>
            <button type="submit" class="button success"><?php echo __('Next') ?></button>
        </div>
    </form>
</div>