<?php use_helper('Form') ?>
<?php decorate_with(false) ?>
<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>

<h1><?php echo __('Pay with existing card') ?> .</h1>

<div id="payment_container">
<?php if (isset($form) && $form->paymentError): ?>
<div class="alert-box alert">
    <?php echo __('We are unable to process the credit card:') ?> <?php echo $form->paymentError ?>
</div>
<?php endif ?>
<?php if (isset($form) && $form->isBound()): ?>
<?php echo $form->getErrorSchema() ?>#
<?php endif ?>

<form action="<?php echo url_for('payment/payWithStoredCard') ?>" method="post" name="card_form" id="card_form" class="reveal-ajax">
<input type="hidden" name="balance_card" id="balance_card" value="existing" />
    <div class="row">
        <div class="two columns">
            <?php echo label_for('card_id', __('Credit Card:')) ?>
        </div>
        <div class="ten columns">
            <?php echo select_tag('card_id', options_for_select($cards)) ?>
        </div>
    </div>

    <div class="row">
        <div class="two columns">
            <?php echo label_for('amount', __('Amount:')) ?>
        </div>
        <div class="ten columns">
            <?php echo '<b>' . $amount . ' </b>' . $currency_name; ?>
            <?php echo input_hidden_tag("amount", $amount); ?>
        </div>
    </div>

    <div class="row">
        <div class="twelve columns">
            <?php echo label_for('receipt', checkbox_tag('receipt', 1, false). __('Send receipt from payment operator to my e-mail')) ?>
        </div>
    </div>

    <div class="row text-center ">
        <button type="submit" class="button success"><?php echo __('Pay now') ?></button>
        <hr />
        <?php
            echo link_to(__('Back'),
                'payment/chargeAccount',
                array(
                    'class' => 'button secondary small reveal-ajax'
                )
            );

            echo link_to(__('Cancel'),
                '#',
                array(
                    'class' => 'button secondary small cancel-modal',
                )
            );
        ?>

    </div>
    <input type="hidden" value="<?php echo $sf_params->get('req_id') ?>" name="req_id" />
</form>
</div>
<script type="text/javascript">
    jQuery('.cancel-modal').click(function() {
        jQuery('.reveal-modal.open').trigger('reveal:close');

        return false;
    });
</script>
