<?php decorate_with(false) ?>
<?php
    use_helper('Form');

    $cc_count = count(CreditCard::user_cards_list());

    // Secure URL for form sending
    $action_url = url_for('payment/selectCredits', true);
    // Uncomment line below if SSL certificate will be set properly
    //$action_url = str_replace('http:', 'https:', $action_url);
?>

<?php $currency_name = strtoupper($sf_user->getAttribute('profile')->getCountryDomain()) . "D"; ?>
<h2><?php echo __('Credit my account') ?></h2>

<div class="row">
    <div class="twelve columns">
        <div style="clear: both; margin-top: 10px;">
            <h4><?php echo __('Current account balance:') ?> <?php echo $sf_user->getProfile()->get('account_balance') . " " . sfConfig::get("sf_currency_new") ?></h4>
        </div>

        <?php if ($sf_user->hasFlash('payment_error')): ?>
            <p class="error">
                <?php echo $sf_user->getFlash('payment_error'); ?>
            </p>
        <?php endif; ?>

        <form action="<?php echo $action_url ?>" method="post" class="reveal-ajax" id="balance_form" name="balance_form">
            <div class="row">
                <label for="balance_value">
                    <?php echo __('Top up your Transfercar account now by credit card') ?>
                </label>
            </div>
            <hr/>
            <div class="row" >
                <table id="credits_table" cellpadding="0" cellspacing="0" border="0" width="100%">
                    <thead>
                        <tr>
                            <th class="credits"><strong><?php echo __('Description') ?>&nbsp;&nbsp;</strong></th>
                            <th class="credits"><strong><?php echo __('Credits') ?>&nbsp;&nbsp;</strong></th>
                            <th class="price"><strong><?php echo __('Price') ?></strong></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $minppc = $credits[0]['price']/$credits[0]['credit'] ?>
                        <?php foreach ($credits as $i => $item): ?>
                        <tr>
                            <td><?php echo $item['name'] ?></td>
                            <td>
                                <input id="credit_<?php echo $i ?>" type="radio" name="credits" value="<?php echo $item["id"] ?>" <?php if ($item["id"] == $payment_info): ?> checked="checked" <?php endif; ?>/><?php echo $item["credit"] ?>
                            </td>
                            <td>
                                 <?php $ppc = $item["price"]/$item["credit"] ?>
                                <?php echo $currency_name.' $'.$item["price"]  ?>
                                <?php if ($ppc < $minppc): ?>
                                    <br/>
                                    (<?php echo (1-round($ppc/$minppc, 3))*100 ?><?php echo __('% discount applied') ?>)
                                <?php endif ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
            <div class="row text-right">
                <button type="submit" class="button success"><?php echo __('Next') ?></button>
            </div>
        </form>
    </div>
</div>
