<?php

class listingComponents extends sfComponents
{
    public function executeTiles()
    {
        $baseQuery = Doctrine::getTable('Listing')
            ->createQuery('l')
            ->innerJoin('l.VehicleType v')
            ->where('v.country_id = ?', $this->getUser()->getCountry())
            ->addWhere('l.owner_id = ?', $this->getUser()->getOwnerId())
            ->addWhere('l.created_at > ?', date('Y-m-d', strtotime('-6 months')));

        $query = (clone $baseQuery);
        $this->listed_listings = $query->addWhere('l.status = 0')->count();

        $query = (clone $baseQuery);
        $this->cancelled_listings = $query
            ->innerJoin('l.AcceptedRequest r')
            ->addWhere('l.status = 6')
            ->addWhere('r.cancelled_at >= ?', date('Y-m-d', strtotime('-7 days')))
            ->count();

        $query = (clone $baseQuery);
        $this->unrated_listings = $query
            ->innerJoin('l.AcceptedRequest r')
            ->addWhere('r.drop_off_date >= ?', date('Y-m-d', strtotime('-7 days')))
            ->addWhere('l.status = 8')->count();

        $this->nb_requests = Doctrine::getTable('Request')
            ->createQuery('r')
            ->innerJoin('r.Listing l')
            ->innerJoin('l.VehicleType v')
            ->where('v.country_id = ?', $this->getUser()->getCountry())
            ->addWhere('r.status = 0')
            ->addWhere('l.status = 0')
            ->addWhere('l.owner_id = ?', $this->getUser()->getOwnerId())
            ->addWhere('l.created_at > ?', date('Y-m-d', strtotime('-6 months')))
            ->count();

        $this->nb_reactivable_requests = Doctrine::getTable('Request')
            ->createQuery('r')
            ->innerJoin('r.Listing l')
            ->innerJoin('l.VehicleType v')
            ->where('v.country_id = ?', $this->getUser()->getCountry())
            ->addWhere('r.status = 0')
            ->addWhere('l.status = ?', Listing::STATUS_CANCELED)
            ->addWhere('l.owner_id = ?', $this->getUser()->getOwnerId())
            ->addWhere('l.created_at > ?', date('Y-m-d', strtotime('-6 months')))
            ->count();

        $this->nb_expiring_requests = Doctrine::getTable('Request')
            ->createQuery('r')
            ->innerJoin('r.Listing l')
            ->innerJoin('l.VehicleType v')
            ->where('v.country_id = ?', $this->getUser()->getCountry())
            ->addWhere('r.status = 0')
            ->addWhere('l.status = 0')
            ->addWhere('l.owner_id = ?', $this->getUser()->getOwnerId())
            ->addWhere('HOUR(TIMEDIFF(now(), r.created_at)) >= 20')
            ->count();
    }
}