 <?php echo javascript_include_tag('owner/jquery.js') ?>
<?php use_stylesheet('/js/owner/chosen/chosen.css') ?>
<?php $sf_response->removeStylesheet('/sf/sf_admin/css/main') ?>
<?php echo javascript_include_tag('tiny_mce/tiny_mce.js') ?>
<?php use_helper('TransfercarForm', 'Transfercar') ?>
<style type="text/css">
.row .locations label {
  margin-bottom:10px;
  font-weight: bold;
}

.discounted_credits {
  color: #ffcc00;
  font-weight: bold;
  padding-left: 10px;
  padding-top:10px;
  display:block;
}
</style>
<?php
$terms = Doctrine_Query::create()
        ->from("Terms")
        ->where("user_id = ?", $sf_user->getOwnerId())
        ->addWhere("title != ''")
        ->groupBy("title, content")
        ->execute();
?>
<?php echo $form->getErrorSchema() ?>
<?php echo form_tag('rentals/save', array(
  'id'        => 'rental_form',
  'name'      => 'sf_admin_edit_form',
  'multipart' => true,
)) ?>

<?php if ($rental->exists()): ?>
<input type="hidden" value="<?php echo $sf_params->get('id') ?>" name="id" />
<?php endif ?>

<hr/>

<h5>1. <?php echo __('Vehicles details') ?> <?php echo tooltip('rental_form_vehicle_details') ?></h5>
<div class="row locations">
  <div class="four columns">
    <?php echo render_row($form['vehicle_type_id'], 'Vehicle type', array('class' => 'chzn-select', 'data-placeholder' => __('Select vehicle or category'))) ?>
    <p>
      <a href="#" class="reveal-ajax" data-reveal-refresh="0" data-url="<?php echo url_for('vehicles/details?id=') ?>" rel="rental_vehicle_type_id"><?php echo __('View vehicle') ?></a>
      <a class="reveal-ajax" data-reveal-width="80" data-reveal-onclose="onCloseVehicle" href="<?php echo url_for('vehicles/create') ?>"><?php echo __('Add vehicle') ?></a>

          <script type="text/javascript">
            function onCloseVehicle() {
              var obj = $(window).data('reveal-object');
              $('#rental_vehicle_type_id')
                .append('<option selected value="'+obj.id+'">'+obj.name+'</option>')
                .trigger("liszt:updated");
            }
          </script>

    </p>
  </div>
</div>

<hr/>
<h5>2. <?php echo __('Journey details') ?></h5>
<div class="row locations">
  <div class="six columns end">
    <div class="panel">
      <?php echo render_row($form['pickup_location_id'], 'Pickup Location', array('style' => 'height:180px', 'class' => 'chzn-select ranking', 'data-placeholder' => __('Select branch or location'), 'help' => 'rental_form_pickup_location')) ?>
      <p><a href="#" class="reveal-ajax" data-reveal-refresh="0" data-url="<?php echo url_for('branches/details?id=') ?>" rel="rental_pickup_location_id"><?php echo __('View branch details') ?></a></p>
      <hr />
      <?php echo render_row($form['date_available_from'], 'Earliest Pickup Date', array('class' => 'ranking', 'help' => 'rental_form_earliest_date')) ?>
    </div>
  </div>
  <div class="six columns end">
    <div class="panel">
      <?php if ($rental->get('rates')): ?>
        <ul>
          <?php foreach ($rental->get('rates') as $rates): ?>
            <li>
              <?php echo $rates['from_date'] ?> - <?php echo $rates['to_date'] ?>: 
              daily: $<?php echo $rates['daily_rate'] ?>,
              weekly: $<?php echo $rates['weekly_rate'] ?>,
              monthly: $<?php echo $rates['monthly_rate'] ?>
            </li>
          <?php endforeach ?>
        </ul>
      <?php else: ?>
        <div>
          <?php echo render_row($form['daily_rental_price'], 'Price per day') ?>
        </div>
        <div>
          <?php echo render_row($form['weekly_rental_price'], 'Price per week') ?>
        </div>
        <div>
          <?php echo render_row($form['monthly_rental_price'], 'Price per month') ?>
        </div>
        <div>
          <?php echo render_row($form['extra_day_rental_price'], 'Price per extra day') ?>
        </div>
      <?php endif ?>
      <div>
        <?php echo render_row($form['rates_file'], 'Rates (csv file)'); ?>
      </div>
    </div>
  </div>

</div>

<div class="row">
  <div class="twelve columns">
    <h5>Insurance</h5>

    <div class="row">
      <div class="six columns">
        <div class="panel">
          <?php if ($rental->get('rates')): ?>
            <ul>
              <?php foreach ($rental->get('rates') as $rates): ?>
                <li>
                  <?php echo $rates['from_date'] ?> - <?php echo $rates['to_date'] ?>: 
                  daily: $<?php echo $rates['insurance_daily_rate'] ?>,
                  weekly: $<?php echo $rates['insurance_weekly_rate'] ?>,
                  monthly: $<?php echo $rates['insurance_monthly_rate'] ?>
                </li>
              <?php endforeach ?>
            </ul>
          <?php else: ?>
            <div>
              <?php echo render_row($form['daily_insurance_rate'], 'Insurance rate (<=7 days)') ?>
            </div>
            <div>
              <?php echo render_row($form['weekly_insurance_rate'], 'Insurance rate (<30 days)') ?>
            </div>
            <div>
              <?php echo render_row($form['monthly_insurance_rate'], 'insurance rate (>=30 days)') ?>
            </div>
          <?php endif ?>
        </div>
      </div>

      <div class="six columns">
        <div class="panel">
          <div>
            <?php echo render_row($form['excess'], 'Excess') ?>
          </div>
          <div>
            <?php echo render_row($form['reduced_excess'], 'Reduced excess') ?>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="row">
  <div class="twelve columns">
    <h5>Included</h5>

    <div class="row">
      <div class="twelve columns">
        <?php echo $form['tyres_included']->renderLabel($form['tyres_included']->render().' Tyres', array('class' => 'twelve columns')) ?>
      </div>
      <div class="twelve columns">
        <?php echo $form['roadside_assistance_included']->renderLabel($form['roadside_assistance_included']->render().' Roadside assistance', array('class' => 'twelve columns')) ?>
      </div>
      <div class="twelve columns">
        <?php echo $form['maintenance_included']->renderLabel($form['maintenance_included']->render().' Maintenance', array('class' => 'twelve columns')) ?>
      </div>
    </div>
  </div>
</div>


<div class="row">
  <div class="twelve columns">
    <h5><?php echo __('Comments') ?></h5>
    <?php echo render_row($form['comment'], false, array('help' => 'rental_form_comments')) ?>
  </div>
</div>


<p>
    <?php echo __('Listings are free. Credits are only payable after accepting a driver as a 10% commission of the total rental price.') ?>
    <?php echo __('Prices are shown in Transfercar Credits, our currency. Transfercar credits start at $%price% %currency%/credit.', ['%price%' => lowest_credit_price($sf_user->getAttribute('profile')->getCountryDomainId()), '%currency%' => strtoupper(sfConfig::get('app_currency_'.$sf_user->getAttribute('profile')->getCountryDomain()))]) ?>
    <a
      href="<?php echo url_for('listing/creditPriceList') ?>"
      data-reveal-refresh="0" class="reveal-ajax" id="tc-credit-price-chart">
      <?php echo __('See price chart') ?> <?php echo tooltip('rental_form_price_chart') ?>
    </a>.
</p>
<hr />


<p align="center">

  <button type="submit" style="margin-bottom:10px;" class="large radius success button" type="submit">
    <?php if ($rental->exists()): ?>
      <?php echo __('Save changes') ?>
    <?php else: ?>
      <?php echo __('Confirm &amp; Add New Rental') ?>
    <?php endif ?>

    <?php echo tooltip('rental_form_confirm_add') ?>
  </button>

  <br />

  <a href="<?php echo url_for('@homepage') ?>"><?php echo __('Cancel adding a new rental') ?></a>
</p>

<?php echo $form->renderCSRF(); ?>
</form>

<?php use_stylesheet('/js/bootstrap-daterangepicker/daterangepicker-foundation3.css') ?>
<?php use_javascript('bootstrap-daterangepicker/moment.js') ?>
<?php use_javascript('bootstrap-daterangepicker/daterangepicker.js') ?>
<?php use_javascript('owner/chosen/chosen.jquery.js') ?>
<?php use_javascript('owner/jquery.validate.min.js') ?>
<?php use_javascript('owner/add_rental.js') ?>
<?php if ($sf_user->getCulture() == 'fr_CA'): ?>
    <?php use_javascript('jquery.validate.messages.fr.js') ?>
<?php endif ?>
<?php append_slot('javascripts') ?>
<script type="text/javascript">
(function($){

    function updateTimeSelector(elt)
    {
      if (elt.id !== 'rental_vehicle_type_id' && $(elt).val().match(/^owner_/)) {
        $.ajax({
          url: '<?php echo url_for('branches/openingtimes') ?>',
          data: { id: $(elt).val().split('_')[1] },
          type: 'get',
          dataType: 'json',
          success: function(response)
          {
            if (elt.id.match(/pickup/)) {
              $('#rental_pickup_time')
                .val(response.earliest_pickup_time)
                .trigger("liszt:updated");

              $('#rental_latest_pickup_time')
                .val(response.latest_pickup_time)
                .trigger("liszt:updated");
            } else {
              $('#rental_dropoff_time')
                .val(response.earliest_dropoff_time)
                .trigger("liszt:updated")
              ;

              $('#rental_latest_dropoff_time')
                .val(response.latest_dropoff_time)
                .trigger("liszt:updated")
              ;
            }
          }
        });
      }
    }

    function updateIncludedInput()
    {
      if ($(this).is(':checked')) {
        $('#'+this.id+'_text, #'+this.id+'_type').attr('disabled', false).trigger('change');
      } else {
        $('#'+this.id+'_text, #'+this.id+'_type').attr('disabled', true).val('');
      }
    }

    $('#rental_petrol_included_type').change(function(){
      var descriptions = {
        1: "1 Free Tank of Fuel",
        2: ""
      };
      $('#rental_petrol_included_text').val(descriptions[$(this).val()]);
    });

    $('#rental_ferry_included_type').change(function(){
      var descriptions = {
        1: "Free ferry for the vehicle",
        2: "Free ferry for the vehicle and the driver ",
        3: "Free ferry for the vehicle and two passengers",
        4: ""
      };
      $('#rental_ferry_included_text').val(descriptions[$(this).val()]);
    });


    $('.extras input:checkbox').change(updateIncludedInput).each(updateIncludedInput);

    $('#rental_vehicle_type_id, #rental_pickup_location_id, #rental_dropoff_location_id').change(function() {
      if ($(this).val().match(/^owner_/)) {
        var l = $('a[rel="'+ this.id +'"]')
          .show();
        l.attr('href', l.attr('data-url') + $(this).val().split('_')[1]);
      } else {
        $('a[rel="'+ this.id +'"]').hide().attr('href', '#');
      }

      updateTimeSelector(this);
    });

    $(':input.ranking').change(function(){
      var data = {};
      $(':input.ranking').each(function(){
        data[this.name] = $(this).is(':checkbox') ? Number($(this).is(':checked')) : $(this).val();

        if ((this.id == 'rental_date_available_from' || this.id == 'rental_date_return_by') && jQuery(this).data('daterangepicker')) {
          data[this.name] = jQuery(this).data('daterangepicker').endDate.format('YYYY-MM-DD');
        }
      });

      $.ajax({
        url: '<?php echo url_for('rental/getRank') ?>',
        data: data,
        dataType: 'json',
        success: function(data) {
          var rankingLabel = '';
          if (data.ranking.percentrank > 0.8) {
            rankingLabel = '<?php echo __('Excellent') ?>';
          } else if (data.ranking.percentrank > 0.6) {
            rankingLabel = '<?php echo __('Good') ?>';
          } else if (data.ranking.percentrank > 0.4) {
            rankingLabel = '<?php echo __('Average') ?>';
          } else {
            rankingLabel = '<?php echo __('Poor') ?>';
          }

          $('#rental_rank_label').html(rankingLabel);
          $('#rental_rank_percent').html(Math.round(data.ranking.percentrank*100, 0)+'%');

          var list = '';
          for (var i in data.errors) {
            list += '<li>'+data.errors[i]+'</li>';
          }

          $('#ranking_errors').html(list);
        }
      })
    });

    $('#rental_vehicle_type_id, #rental_pickup_location_id, #rental_dropoff_location_id').change();

    var add_rental = $.add_rental({
      show_fee_url: '<?php echo url_for('rental/showFee') ?>',
      terms_url: '<?php echo url_for('owner/terms') ?>',
      additional_fees_url: '<?php echo url_for('rental/showAdditionalDaysFee') ?>',
      check_free_days_url: '<?php echo url_for('rental/checkFreeDays') ?>',
      get_free_days_url: '<?php echo url_for('rental/getFreeDays') ?>'
    });

  <?php
    if($sf_request->hasParameter('similar') || !$form->isValid()){ // should initially show price info?
        echo "\nadd_rental.update_price_info();\n";
        echo "add_rental.update_additional_days_price($('#rental_vehicle_type_id'));\n";
    }
  ?>
})(jQuery);
// -->
</script>
<?php end_slot() ?>

<?php //echo $form ?>
