<?php use_stylesheet('owner/dashboard.css') ?>
<div class="row dashboard">
    <div class="three columns">
        <div class="panel panel-blue">
            <div class="panel-heading">
                <div class="row">
                    <div class="three columns">
                        <a href="<?php echo url_for('listing/list') ?>?filters[status]=0">
                            <i class="fa fa-car fa-5x"></i>
                        </a>
                    </div>
                    <div class="nine columns text-right">
                        <div class="huge"><?php echo $listed_listings ?></div>
                        <div><?php echo __('Live listings') ?></div>
                    </div>
                </div>
            </div>
            <div class="panel-footer">
                <span class="pull-left">
                    <?php echo link_to(__('Add'), 'listing/create') ?> <?php echo __('or') ?>
                    <?php echo link_to(__('View'), 'listing/list', array('query_string' => 'filters[status]=0')) ?>
                    <?php echo __('listings') ?>
                </span>
                <span class="pull-right">
                    <a href="<?php echo url_for('listing/list') ?>?filters[status]=0">
                        <i class="fa fa-arrow-circle-right"></i>
                    </a>
                </span>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
    <div class="three columns">
        <div class="panel panel-yellow">
            <div class="panel-heading">
                <div class="row">
                    <div class="three columns">
                        <a href="<?php echo url_for('listing/list') ?>?filters[status]=requested">
                            <i class="fa fa-envelope fa-5x"></i>
                        </a>
                    </div>
                    <div class="nine columns text-right">
                        <div class="huge"><?php echo $nb_requests ?></div>
                        <div><?php echo __('New requests') ?></div>
                        <?php if ($nb_expiring_requests): ?>
                            <div><span class="label alert radius"><?php echo __('%nb% requests expiring soon', ['%nb%' => $nb_expiring_requests]) ?></span></div>
                        <?php endif ?>
                    </div>
                </div>
            </div>
            <?php if ($sf_user->getProfile()->get('Owner')->get('easybook_enabled')): ?>
            <a href="<?php echo url_for('bookings/index') ?>">
                <div class="panel-footer">
                    <span class="pull-left"><?php echo __('Accept drivers now') ?></span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            <?php else: ?>
            <a href="<?php echo url_for('listing/index') ?>?filters[status]=requested">
                <div class="panel-footer">
                    <span class="pull-left"><?php echo __('Accept drivers now') ?></span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
            <?php endif ?>
        </div>
    </div>
    <div class="three columns">
        <div class="panel panel-red">
            <div class="panel-heading">
                <div class="row">
                    <div class="three columns">
                        <a href="<?php echo url_for('listing/list') ?>?filters[status]=6">
                            <i class="fa fa-times fa-5x"></i>
                        </a>
                    </div>
                    <div class="nine columns text-right">
                        <div class="huge"><?php echo $cancelled_listings ?></div>
                        <div><?php echo __('Cancellations') ?></div>
                        <div><small><?php echo __('Last 7 days') ?></small></div>
                    </div>
                </div>
            </div>
            <a href="<?php echo url_for('listing/list') ?>?filters[status]=6">
                <div class="panel-footer">
                    <span class="pull-left">
                        <?php if ($nb_reactivable_requests): ?>
                            <?php echo __('Accept another driver now') ?>
                        <?php else: ?>
                            <?php echo __('Relist now') ?>
                        <?php endif ?>
                    </span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
        </div>
    </div>
    <div class="three columns">
        <div class="panel panel-green">
            <div class="panel-heading">
                <div class="row">
                    <div class="three columns">
                        <a href="<?php echo url_for('listing/list') ?>?filters[status]=8&amp;filters[date_return_by]=<?php echo date('Y-m-d', strtotime('-7 days')) ?>,<?php echo date('Y-m-d') ?>">
                            <i class="fa fa-pencil fa-5x"></i>
                        </a>
                    </div>
                    <div class="nine columns text-right">
                        <div class="huge"><?php echo $unrated_listings ?></div>
                        <div><?php echo __('Unrated bookings') ?></div>
                        <div><small><?php echo __('Last 7 days') ?></small></div>
                    </div>
                </div>
            </div>
            <a href="<?php echo url_for('listing/list') ?>?filters[status]=8&amp;filters[date_return_by]=<?php echo date('Y-m-d', strtotime('-7 days')) ?>,<?php echo date('Y-m-d') ?>">
                <div class="panel-footer">
                    <span class="pull-left"><?php echo __('Rate drivers now') ?></span>
                    <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                    <div class="clearfix"></div>
                </div>
            </a>
        </div>
    </div>
</div>