<?php use_helper('I18N', 'Date', 'Transfercar') ?>
<style type="text/css">
    .panel-details h3 {
        font-size: 14px;
    }
</style>
<h4><?php echo __('Accept and book driver %driver%', ['%driver%' => $enquiry->Driver->username]) ?></h4>
<hr/>
<form action="<?php echo url_for('rentals/accept?id='.$enquiry->getId()) ?>" class="reveal-ajax" method="post">
    <div class="text-center">

        <div class="panel panel-details">
            <div class="row">
                <div class="twelve columns text-left" style="padding-right:0">
                    <h6><?php echo __('Driver details') ?></h6>
                    <div>
                        <?php echo $enquiry->get('Driver')->getUsername() ?>
                        <?php if ($enquiry->get('Driver')->isVerified()): ?>
                            <img src="/images/owner/email_verified.png" style="vertical-align:top"/>
                        <?php else: ?>
                            <img src="/images/owner/email_not_verified.png" style="vertical-align:top"/>
                        <?php endif ?>
                        <?php if ($enquiry->get('Driver')->hasPhoneVerified()): ?>
                            <img src="/images/owner/phone_verified.png" style="vertical-align:top"/>
                        <?php endif ?>
                    </div>
                    <br/>
                    <div>
                        <?php echo $enquiry->get('Driver')->reloc_count() ?> relocations<br/>
                        <?php $rating = floatval($enquiry->get('Driver')->get('average_rating')) ?>
                        <?php echo format_number_choice('[-Inf, 0) %r%% negative feedback | [0] no feedback |(0,+Inf] %r%% positive feedback', array('%r%' => sprintf('%0.0f', $rating * 100)), $rating) ?><br/>
                        <?php echo __('Member since') ?> <?php echo format_date($enquiry->get('Driver')->get('when_registered'), 'MM/yyyy') ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="panel panel-green">
            <p><?php echo __('This driver has requested %nb% days', ['%nb%' => $enquiry->getNbDays()]) ?></p>
            <p><?php echo __('Total revenue:') ?> <?php echo __('$') ?><?php echo $enquiry->getPrice() ?></p>
        </div>


        <div class="panel">
            <p><?php echo __('The fee for accepting this relocation is %nb% credits', ['%nb%' => 'xx']) ?></p>
        </div>


        <p><?php echo __('Account balance:') ?> <?php echo (intval($sf_user->getProfile()->account_balance * 100)/100.0) . " " . sfConfig::get("sf_currency_new"); ?> <?php echo __('available') ?></p>
        <p><?php echo __('Full driver details will be available when payment has been received') ?></p>



        <?php echo $form ?>
        <button class="button medium" type="submit"><?php echo __('Pay for Relocation') ?></button>
    </div>
</form>