<?php use_helper('I18N', 'Date', 'Object', 'Transfercar', 'sfCombine') ?>
<?php use_stylesheet_grouped('/sf/sf_admin/css/main') ?>
<?php use_stylesheet_grouped('/js/bootstrap-daterangepicker/daterangepicker-foundation3.css') ?>
<?php use_javascript_grouped('bootstrap-daterangepicker/moment.js', 'datepicker') ?>
<?php use_javascript_grouped('bootstrap-daterangepicker/daterangepicker.js', 'datepicker') ?>

<div id="sf_admin_container" class="listing_list">

<?php if (in_array($sf_user->getUserDomain(), ['xx'])): // we are back to business ?>
<div style="float:right">
    <a href="<?php echo url_for('rentals/disabled') ?>" class="button radius large wide reveal-ajax secondary"><?php echo __('Add listing') ?></a>
</div>
<?php else: ?>
<div style="float:right">
    <a href="<?php echo url_for('rentals/create') ?>" class="button radius large wide"><?php echo __('Add listing') ?></a>
</div>
<?php endif ?>

<h1>
    <?php //echo format_number_choice('[1,2] Listings in %country%|[3,4] Listings in the %country%', ['%country%' => __($sf_user->getCountryName())], $sf_user->getCountry()) ?>
    <?php echo $sf_user->getProfile()->getCompany() ?>
</h1>

<div id="sf_admin_header">
    <?php include_partial('rentals/list_header', array('pager' => $pager)) ?>
    <?php include_partial('rentals/list_messages', array('pager' => $pager)) ?>
</div>

<div id="sf_admin_content">
<?php if (!$pager->getNbResults() && !count($filters)): ?>
	<?php echo __('You have no active listings. Please add a new listing.') ?>
<?php else: ?>
    <?php include_partial('rentals/list', array('pager' => $pager, 'filters' => $filters)) ?>
<?php endif; ?>
</div>

<div id="sf_admin_footer">
<?php include_partial('rentals/list_footer', array('pager' => $pager)) ?>


</div>

</div>

<?php append_slot('javascripts') ?>
<style type="text/css">
th .ng_input_button_table {
    margin: 0;
    padding: 0;
    border: 0;
    border-color: transparent;
}

#sf_admin_container .sf_admin_list th .ng_input_button_table td {
    border: 0;
    padding: 0;
}
</style>
<script type="text/javascript">
(function($) {
    $(function(){
        var dateFormat = '<?php echo strtoupper(sfConfig::get('app_date_time_pattern_'.$sf_user->getUserDomain())) ?>';
        var onSelect = function(start, end){
            $(this.element.context).find('span').html(start.format(dateFormat) + ' ' + end.format(dateFormat));
            $(this.element.context).find('input').val(start.format('YYYY-MM-DD') + ',' + end.format('YYYY-MM-DD'));
        }
        var onCancel = function(ev, picker) {
            $(picker.element.context).find('span').html('');
            $(picker.element.context).find('input').val('');
        }

        var options = {
            ranges: {
                'Today': [moment(), moment()],
                'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
                'Last 7 Days': [moment().subtract('days', 6), moment()],
                'Last 30 Days': [moment().subtract('days', 29), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
            },
            opens: 'left',
            buttonClasses: 'button radius small',
            applyClass: 'success',
            cancelClass: 'secondary',
            format: dateFormat,
            locale: { cancelLabel: 'Clear' },
            startDate: moment().subtract('days', 29),
            endDate: moment()
        };

        $('.report_range:has(#filters_date_available_from, #filters_date_return_by)')
            .daterangepicker(options, onSelect)
            .on('cancel.daterangepicker', onCancel)
        ;
        options.opens = 'right';
        $('.report_range:has(#filters_updated_at)')
            .daterangepicker(options, onSelect)
            .on('cancel.daterangepicker', onCancel)
        ;

    });
})(jQuery);
</script>
<?php end_slot() ?>
