<?php use_helper('I18N', 'Date', 'Transfercar') ?>
<h4><?php echo __('Long term rentals requests') ?></h4>
<hr/>
<?php foreach ($requests as $i => $request): ?>
    <div class="row">
        <div class="three columns" style="padding-right:0">
            <?php echo $request->get('Driver')->getUsername() ?>
            <div>
                <?php if ($request->get('Driver')->isVerified()): ?>
                    <img src="/images/owner/email_verified.png" style="vertical-align:top" class="five"/>
                <?php else: ?>
                    <img src="/images/owner/email_not_verified.png" style="vertical-align:top" class="five"/>
                <?php endif ?>
                <?php if ($request->get('Driver')->hasPhoneVerified()): ?>
                    <img src="/images/owner/phone_verified.png" style="vertical-align:top"/>
                <?php endif ?>
            </div>
            <br/>
            <small>
                <?php echo $request->get('Driver')->reloc_count() ?> <?php echo __('relocations') ?><br/>
                <?php $rating = floatval($request->get('Driver')->get('average_rating')) ?>
                <?php echo format_number_choice('[-Inf, 0) %r%% negative feedback | [0] no feedback | (0,+Inf] %r%% positive feedback', array('%r%' => sprintf('%0.0f', $rating * 100)), $rating) ?><br/>
                <?php echo __('Member since') ?> <?php echo format_date($request->get('Driver')->get('when_registered'), 'MM/yyyy') ?> (#<?php echo $request->get('Driver')->getId() ?>)
            </small>

        </div>
        <div class="three columns">
            <?php echo __('Pickup:') ?> <?php echo $request->get('OwnerBranch')->get('name') ?>, <?php echo tc_format_date($request->get('pickup_date')) ?><br/>
            <?php echo __('Dropoff:') ?> <?php echo tc_format_date($request->get('dropoff_date')) ?>
            (<?php echo format_number_choice('[0] 0 day|[1] 1 day|(1,+Inf] %1% days', array('%1%' => $request->getNbDays()), $request->getNbDays()) ?>)
        </div>
        <div class="two columns" style="padding:0">
            <?php echo __('Revenue:') ?> $<?php echo $request->get('price') ?>
        </div>

        <?php if ($request->isStatus(Enquiry::STATUS_PENDING)): ?>
            <div class="two columns">
                <?php echo link_to(__('Book'), 'rentals/accept?id='.$request->getId(), array('class' => 'reveal-ajax button small')) ?>
            </div>
            <div class="two columns">
                <?php echo link_to(__('Decline'), 'rentals/reject?id='.$request->getId(), array('class' => 'reveal-ajax button small alert')) ?>
            </div>
        <?php elseif ($request->isStatus(Enquiry::STATUS_ACCEPTED)): ?>
            <div class="four columns text-center">
                <div class="label success"><?php echo __('Accepted') ?></div>
            </div>
        <?php elseif ($request->isStatus(Enquiry::STATUS_CANCELED_BY_DRIVER)): ?>
            <div class="four columns text-center">
                <div class="label alert"><?php echo __('Withdrawn') ?></div>
            </div>
        <?php else: ?>
            <div class="four columns text-center">
                <div class="label alert"><?php echo __('Rejected') ?></div>
            </div>
        <?php endif ?>
    </div>
    <?php if ($i+1 < count($requests)): ?><hr/><?php endif ?>
<?php endforeach ?>
