<?php

/**
 * report actions.
 *
 * @package    sf_sandbox
 * @subpackage report
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class reportActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeIndex($request)
  {
    $listing = Doctrine::getTable('Listing')->find($request->getParameter('id'));

    $this->forward404Unless($listing && $listing->get('owner_id') == $this->getUser()->getOwnerId());

    $report = new DriverReport();
    $report->set('Owner', $listing->get('Owner'));
    $report->set('Driver', $listing->get('AcceptedRequest')->get('Driver'));
    $report->set('Listing', $listing);

    if ($report->get('Driver')->isBannedFor($report->get('Owner')->getId())) {
        $this->driver = $report->get('Driver');
        $this->report = Doctrine::getTable('DriverReport')->findFor($report->get('Driver'), $report->get('Owner'));
        $this->setTemplate('alreadyReported');
        return sfView::SUCCESS;
    }

    $this->listing = $listing;
    $this->setVar('request',  $listing->getAcceptedRequest());
    $this->form = new DriverReportForm($report);

    if ($request->isMethod('POST')) {
      $this->form->bind($request->getParameter('driver_report'));

      if ($this->form->isValid()) {
        $this->form->save();
        $this->driver = $report->get('Driver');
        $this->report = $report;
        $this->setTemplate('reported');
        return sfView::SUCCESS;
      }
    }
  }

  public function executeUnblock($request)
  {
    $report = Doctrine::getTable('DriverReport')->find($request->getParameter('id'));

    $this->forward404Unless($report && $report->get('owner_id') == $this->getUser()->getOwnerId());

    $driver = $report->get('Driver');

    $tc_bans = Doctrine::getTable('DriverReport')->countTcBans($driver);

    $this->forward404Unless($driver && $driver->isBannedFor($this->getUser()->getOwnerId()));

    if ($request->getParameter('confirm')) {
      $roBan = Doctrine::getTable('ROBan')->findUserBanFor($driver, $this->getUser()->getOwnerId());
      $roBan->delete();
      $report->set('status', DriverReport::STATUS_UNBLOCKED);
      $report->save();

      $new_tc_bans = Doctrine::getTable('DriverReport')->countTcBans($driver);

      if ($driver->get('user_status') == 'blocked' && $tc_bans > 0 && $new_tc_bans == 0) {
        $driver->set('user_status', 'active');
        $driver->save();
      }
    }

    $this->report = $report;
    $this->driver = $driver;
  }

  public function executeList($request)
  {
    $pager = new sfDoctrinePager('DriverReport', 20);
    $query = Doctrine::getTable('DriverReport')
      ->createQuery('d')
      ->where('d.owner_id = ?', $this->getUser()->getOwnerId());
    $pager->setQuery($query);
    $pager->setPage($request->getParameter('page', 1));
    $pager->init();

    $this->pager = $pager;
  }
}
