<?php decorate_with('layout_settings') ?>
<?php use_stylesheet('/flatui/foundation/stylesheets/fonts.css') ?>
<?php use_stylesheet('rating.css') ?>
<?php use_javascript('readmore.js') ?>
<?php use_helper('Text') ?>
<style type="text/css">
.actions span {
    font-size: 20px;
    color: black;
}
</style>
<table class="twelve">
    <thead>
        <tr>
            <th><?php echo __('Date') ?></th>
            <th class="two"><?php echo __('Driver') ?></th>
            <th class="four"><?php echo __('Reason') ?></th>
            <th class="four"><?php echo __('comment') ?></th>
            <th class="four"><?php echo __('status') ?></th>
            <th><?php echo __('TCID') ?></th>
            <th><?php echo __('Actions') ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($pager->getResults() as $report): ?>
        	<?php $banned = $report->getDriver()->isBannedFor($sf_user->getOwnerId()) ?>
            <tr>
                <td><?php echo tc_format_date($report->get('created_at')) ?></td>
                <td><?php echo $report->getDriver()->getFullName() ?></td>
                <td><?php echo $report->get('Reason')->get('name') ?></td>
                <td><?php echo $report->get('comment') ?></td>
                <td><?php echo __($banned ? 'Blocked' : 'Unblocked') ?></td>
                <td><?php echo link_to($report->getListing()->getId(), 'listing/view?id='.$report->getListing()->getId()) ?></td>
                <td class="actions">
                	<?php if ($banned): ?>
                		<a href="<?php echo url_for('report/unblock?id='.$report->getId()) ?>" class="reveal-ajax">Unblock</a>
                	<?php endif ?>
                </td>
            </tr>
        <?php endforeach ?>
    </tbody>

    <?php if ($pager->haveToPaginate()): ?>
    <tfoot>
        <tr><th colspan="5">
        <div class="float-right">
        <?php if ($pager->haveToPaginate()): ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/first.png', array('align' => 'absmiddle', 'alt' => __('First'), 'title' => __('First'))), 'report/list?page=1') ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous'), 'title' => __('Previous'))), 'report/list?page='.$pager->getPreviousPage()) ?>

          <?php foreach ($pager->getLinks() as $page): ?>
            <?php echo link_to_unless($page == $pager->getPage(), $page, 'report/list?page='.$page) ?>
          <?php endforeach; ?>

          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next'), 'title' => __('Next'))), 'report/list?page='.$pager->getNextPage()) ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last'), 'title' => __('Last'))), 'report/list?page='.$pager->getLastPage()) ?>
        <?php endif; ?>
        </div>
        <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults()) ?>
        </th></tr>
    </tfoot>
    <?php endif ?>
</table>
<?php append_slot('javascripts'); ?>
<script type="text/javascript">
jQuery('.ro_review').readmore({
    collapsedHeight: 80,
    moreLink: '<a href="#">Read full text</a>'
})
</script>
<?php end_slot() ?>
