<?php use_helper('I18N', 'Date', 'Transfercar') ?>
<style type="text/css">
    .panel-details h3 {
        font-size: 14px;
    }
</style>
<h4>Accept and book driver <?php echo $request->Driver->username ?> for listing <?php echo $request->get('listing_id') ?></h4>
<hr/>
<form action="<?php echo url_for('request/accept?id='.$request->getId()) ?>" class="reveal-ajax" method="post">
    <div class="text-center">
        <?php if ($form->isBound() && $form->isValid() && $listing->hasBond()): ?>
        <div class="alert-box alert">
            We are unable to provide the driver credit and charge the deposit. Please try again or choose another driver.
        </div>
        <?php endif ?>

        <?php if ($sf_params->get('details')): ?>
            <div class="panel panel-details">
                <div class="row">
                    <div class="twelve columns text-left" style="padding-right:0">
                        <h6>Driver details</h6>
                        <div>
                            <?php echo $request->getDriverUsername() ?>
                            <?php if ($request->get('Driver')->isVerified()): ?>
                                <img src="/images/owner/email_verified.png" style="vertical-align:top"/>
                            <?php else: ?>
                                <img src="/images/owner/email_not_verified.png" style="vertical-align:top"/>
                            <?php endif ?>
                            <?php if ($request->get('Driver')->hasPhoneVerified()): ?>
                                <img src="/images/owner/phone_verified.png" style="vertical-align:top"/>
                            <?php endif ?>
                        </div>
                        <br/>
                        <div>
                            <?php echo $request->get('Driver')->reloc_count() ?> relocations<br/>
                            <?php $rating = floatval($request->get('Driver')->get('average_rating')) ?>
                            <?php echo format_number_choice('[-Inf, 0) %r%% negative feedback | [0] no feedback |(0,+Inf] %r%% positive feedback', array('%r%' => sprintf('%0.0f', $rating * 100)), $rating) ?><br/>
                            Member since <?php echo format_date($request->get('Driver')->get('when_registered'), 'MM/yyyy') ?>
                        </div>

                        <div>

                            <?php include_partial('listing/8_request_details', array(
                                'listing' => $listing,
                                'request' => $request
                            )) ?>
                            <?php include_partial('listing/9_owner_money_details', array(
                                'listing' => $listing,
                                'request' => $request
                            )) ?>
                        </div>

                    </div>
                </div>
            </div>
        <?php endif ?>
        <?php if ($request->get('nb_paid_days')): ?>
            <div class="panel panel-green">
                <p>This driver has requested <?php echo $request->get('nb_paid_days') ?> paid days</p>
                <p>Paid days total revenue: $<?php echo $listing->getRevenue($request) ?></p>
            </div>
        <?php endif ?>

        <div class="panel">
            <p>The fee for accepting this relocation is <?php echo $listing->getTotalPrice($request) ?> credits</p>


            <?php if ($request->getCountryDomain() == 'us'): ?>
                <div style="margin:20px 30px;">
                    There is an introductory price of $75 per relocation until end of September.<br/>
                    (From October onwards the price will vary based on distance and vehicle type)
                </div>
            <?php endif ?>
        </div>


        <p>Account balance: <?php echo (intval($user->account_balance * 100)/100.0) . " " . sfConfig::get("sf_currency_new"); ?> available</p>
        <p>Full driver details will be available when payment has been received</p>



        <?php echo $form ?>
        <button class="button medium" type="submit">Pay for Relocation</button>
    </div>
</form>