<?php decorate_with(false) ?>
<?php use_helper('Date', 'Transfercar') ?>
<?php $isBooked = false ?>
<h4>
    <?php if ($request->get('status') == Request::STATUS_RATED && $request->get('no_show_fee')): ?>
        <?php echo __('Driver did not show up') ?>
    <?php elseif($request->get('status') == Request::STATUS_RATED): ?>
        <?php echo __('Driver rated') ?>
    <?php elseif($request->get('status') == Request::STATUS_DRIVER_CANCELED): ?>
        <?php echo __('Relocation cancelled by driver') ?>
    <?php elseif($request->get('status') == Request::STATUS_OWNER_CANCELED): ?>
        <?php echo __('Relocation cancelled') ?>
    <?php else: ?>
        <?php echo __('Driver %driver% booked for listing %tcid%', ['%driver%' => $request->get('Driver')->full_name(), '%tcid%' => $request->get('listing_id')]) ?>
        <?php $isBooked = true ?>
    <?php endif ?>
     <a href="#" class="close-reveal-modal" data-reveal-refresh="0" data-dismiss="modal" aria-hidden="true">&times;</a>
</h4>


<?php if($request->isStatus([Request::STATUS_DRIVER_CANCELED, Request::STATUS_OWNER_CANCELED]) || ($request->get('status') == Request::STATUS_RATED && $request->get('no_show_fee'))): ?>
    <h6>
        <?php echo __('If your vehicle is still available, you can list it again:') ?>
        <?php echo link_to('List again', 'listing/copy?id='.$request->get('listing_id'), array('class' => 'tiny radius primary button', 'style' => 'margin-left:10px')) ?>
        </h6>
<?php endif ?>

<?php if ($isBooked): ?>
    <h6><?php echo __('Please update your reservation system and if required contact the driver for additional confirmation') ?></h6>
<?php endif ?>

<hr/>
<?php if ($isBooked): ?>
<div class="row">
    <div class="two columns">
        <?php echo __('Driver') ?>
    </div>
    <div class="ten columns">
        <?php echo $request->get('Driver')->full_name() ?>
        <p style="padding-top:10px;margin-bottom:5px;">
        <?php echo __('Tel:') ?> <?php echo default_text($request->get('Driver')->get('contact_phone'), '-') ?>
        <?php echo __('Mobile:') ?> <?php echo default_text($request->get('Driver')->get('mobile_phone'), '-') ?>
        <?php echo __('Email:') ?> <?php echo $request->get('Driver')->get('email') ?></p>

    </div>
</div>
<?php endif ?>

<div class="row">
    <div class="two columns">
        <?php echo __('Vehicle') ?>
    </div>
    <div class="ten columns">
        <?php $vehicle =  $request->get('Listing')->getVehicle() ?>
        <?php if ($vehicle->getRawValue() instanceof OwnerVehicleType): ?>
            <?php echo $vehicle->get('name') ?> (<?php echo $vehicle->get('VehicleType')->get('description') ?>)
        <?php endif ?>
    </div>
</div>

<div class="row">
    <div class="two columns">
        <?php echo __('Pickup') ?>
    </div>
    <div class="ten columns">
        <?php echo $request->get('Listing')->getPickLocation() ?>
        <?php if ($request->get('Listing')->get('OwnerPickupBranch')->exists()): ?>
            (<?php echo $request->get('Listing')->get('OwnerPickupBranch')->get('internal_name') ?>)
        <?php endif ?>
    </div>
</div>

<div class="row">
    <div class="two columns">
        <?php echo __('Dropoff') ?>
    </div>
    <div class="ten columns">
        <?php echo $request->get('Listing')->getDropLocation() ?>
        <?php if ($request->get('Listing')->get('OwnerDropoffBranch')->exists()): ?>
            (<?php echo $request->get('Listing')->get('OwnerDropoffBranch')->get('internal_name') ?>)
        <?php endif ?>
    </div>
</div>


<div class="row">
    <div class="two columns">
        <?php echo __('Days') ?>
    </div>
    <div class="ten columns">
        <?php echo __('From %from% to %to%', ['%from%' => tc_format_date($request->get('pickup_date')), '%to%' => tc_format_date($request->get('drop_off_date'))]); ?>
        <br/>
        <?php echo format_number_choice('[0] 0 free day |[1] 1 free day|(1,+Inf] %1% free days', array('%1%' => $request->get('nb_free_days')), $request->get('nb_free_days')) ?>
        <?php if ($request->get('nb_paid_days')): ?>
            <?php echo __('and') ?> <?php echo $request->get('nb_paid_days') ?> <?php echo __('paid days at $') ?><?php echo $listing->get('price_per_day') ?> =
            $<?php echo $listing->getRevenue($request) ?> <?php echo __('additional revenue') ?>
        <?php endif ?>
    </div>
</div>

<div class="row">
    <div class="twelve columns text-center">
        <?php echo link_to(__('View all details'), 'listing/view?id='.$listing->getId()) ?>
    </div>
</div>