<?php use_helper('I18N', 'Date', 'Transfercar') ?>
<h4><?php echo __('Driver Requests from %pickup% to %dropoff%', ['%pickup%' => $listing->get('PickupLocation')->get('name'), '%dropoff%' => $listing->get('DropoffLocation')->get('name')]) ?></h4>
<h6><?php echo __('Please select the driver that you would like to accept for this listing') ?></h6>
<hr/>
<?php foreach ($requests as $i => $request): ?>

<div class="row">
        
    <div class="twelve columns">
            <h4 style="margin-bottom:5px;"><?php echo $request->get('Driver')->full_name() ?></h4>
    </div>
    <div class="four columns" style="border-right: 1px solid">
        <div class="row">
          <div class="twelve columns" style="margin-bottom:10px;">
            Member since&nbsp;<?php echo format_date($request->get('Driver')->get('when_registered'), 'MM/yyyy') ?>
          </div>
          <div class="four columns">
            <i class="fas fa fa-envelope" <?php if ($request->get('Driver')->isVerified()): ?>style="color:#28a745" <?php endif ?>></i> 
            <?php echo $request->get('Driver')->isVerified() ? 'Verified' : 'Not verified' ?>
          </div>
          <div class="eight columns" style="margin-bottom: 10px;">
            <i class="fas fa fa-phone"  <?php if ($request->get('Driver')->hasPhoneVerified()): ?>style="color:#28a745" <?php endif ?>></i> 
            <?php echo $request->get('Driver')->hasPhoneVerified() ? 'Verified' : 'Not verified' ?>
          </div>
          <div class="four columns"><strong><?php echo $request->get('Driver')->reloc_count() ?></strong> completed</div>
          <div class="four columns"><strong><?php echo $request->get('Driver')->getNbCancellations() ?></strong> cancelled</div>
          <div class="four columns"><strong><?php echo $request->get('Driver')->getNbDisruptedBookings() ?></strong> disrupted</div>
        </div>
    </div>
    <div class="four columns" style="border-right: 1px solid">
        <div class="row"  style="margin-top:10px;margin-bottom:15px">
          <div class="five columns"><strong>Pickup</strong></div>
          <div class="seven columns"><?php echo tc_format_date($request->get('pickup_date')) ?> <?php echo $request->get('pickup_time') ? tc_format_date($request->get('pickup_time'), 'hours') : null; ?></div>
        </div> 
        <div class="row">
          <div class="five columns"><strong>Dropoff</strong></div>
          <div class="seven columns"><?php echo tc_format_date($request->get('drop_off_date')) ?> <?php echo $request->get('dropoff_time') ? tc_format_date($request->get('dropoff_time'), 'hours') : null; ?></div>
        </div>
    </div>
    <div class="four columns" style="text-align: center;">
        <?php if ($request->isStatus(Request::STATUS_PENDING)): ?>
                <div>
                    <?php echo link_to(__('Book'), 'request/accept?id='.$request->getId(), array('class' => 'reveal-ajax button small', 'style' => 'width: 50%;margin-bottom:15px')) ?>
                </div>
                <div>
                    <?php echo link_to(__('Decline'), 'request/reject?id='.$request->getId(), array('class' => 'reveal-ajax button small alert', 'style' => 'width: 50%')) ?>
                </div>
            <?php elseif ($request->isStatus(Request::STATUS_EXPIRED)): ?>
                <div>
                    <div class="label alert"><?php echo __('Expired') ?></div>
                </div>
            <?php elseif ($request->isStatus(Request::STATUS_CANCELED_BY_DRIVER)): ?>
                <div>
                    <div class="label alert"><?php echo __('Withdrawn') ?></div>
                </div>
            <?php else: ?>
                <div>
                    <div class="label alert"><?php echo __('Rejected') ?></div>
                </div>
            <?php endif ?>
    </div>
</div>
<div class="row">
    <!-- div class="four columns"><a href="#" title="todo"><strong>Driver record &darr;</strong></a></div -->
    <div class="four columns text-center">
        <strong>
            <?php echo ($request->get('nb_free_days')+$request->get('nb_paid_days')) ?> <?php echo __('days') ?>
            
            (<?php echo $request->get('nb_free_days') . ' '.__('included') ?>
            <?php if ($request->get('nb_paid_days')): ?>
                , <?php echo $request->get('nb_paid_days') ?> <?php echo __('paid') ?>
            <?php endif ?>
            )   
        </strong>
        
    </div>
    <div class="four columns text-center"><strong><?php echo __('Cost:') ?> <?php echo $listing->getTotalPrice($request); ?> <?php echo __('credits') ?></strong></div>
</div>
    <?php if ($i+1 < count($requests)): ?><hr/><?php endif ?>
<?php endforeach ?>
