<?php

/**
 * reviews actions.
 *
 * @package    sf_sandbox
 * @subpackage reviews
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class reviewsActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeIndex($request)
  {
    $pager = new sfDoctrinePager('RelocationReview', 20);
    $query = Doctrine::getTable('RelocationReview')->findForROQuery($this->getUser()->getProfile()->get('Owner'));
    $pager->setQuery($query);
    $pager->setPage($request->getParameter('page', 1));
    $pager->init();

    $this->pager = $pager;
  }

  public function executeReply($request)
  {
    $this->review = $this->getReview($request);
    $this->forward404Unless(!$this->review->get('ro_reply'));
    $this->form = new RelocationReviewReplyForm();

    if ($request->isMethod('POST'))
    {
      $this->form->bind($request->getParameter('reply'));
      if ($this->form->isValid())
      {
        $this->review->set('ro_reply', $this->form->getValue('reply'));
        $this->review->set('Manager', $this->getUser()->getProfile());
        $this->review->set('ro_replied_at', date('Y-m-d H:i:s'));
        $this->review->save();

        $this->dispatcher->notify(new sfEvent($this->review, 'review.replied'));

        $this->setTemplate('replied');
        return sfView::SUCCESS;
      }
    }
  }


  public function executeReport($request)
  {
    $this->review = $this->getReview($request);
    $this->form = new RelocationReviewReportForm();

    if ($request->isMethod('POST'))
    {
      $this->form->bind($request->getParameter('reply'));
      if ($this->form->isValid())
      {
        $this->dispatcher->notify(new sfEvent($this->review, 'review.reported', array('message' => $this->form->getValue('reply'))));

        $this->setTemplate('reported');
        return sfView::SUCCESS;
      }
    }
  }

  public function executeView($request)
  {
    $this->review = $this->getReview($request);
  }

  private function getReview($request)
  {
    $review = Doctrine::getTable('RelocationReview')->find($request->getParameter('id'));

    $this->forward404Unless($review && $review->getListing()->get('Owner')->getId() == $this->getUser()->getProfile()->get('owner_id'));

    return $review;
  }
}
