<?php decorate_with('layout_settings') ?>
<?php use_stylesheet('/flatui/foundation/stylesheets/fonts.css') ?>
<?php use_stylesheet('rating.css') ?>
<?php use_javascript('readmore.js') ?>
<?php use_helper('Text') ?>
<style type="text/css">
.actions span {
    font-size: 20px;
    color: black;
}
</style>
<table class="twelve">
    <thead>
        <tr>
            <th>Date</th>
            <th class="two">Driver</th>
            <th class="two">Review score</th>
            <th class="four">Review comment</th>
            <th>TCID</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($pager->getResults() as $review): ?>
            <tr>
                <td><?php echo tc_format_date($review->get('created_at')) ?></td>
                <td><?php echo $review->getDriver()->getFullName() ?></td>
                <td>
                    <div class="rating-static">
                        <?php for ($i = 5; $i > $review->get('ro_score'); $i--): ?>
                            <div class="rating-star-static fui-star-2"></div>
                        <?php endfor ?>

                        <?php for ($i = $review->get('ro_score'); $i > 0 ; $i--): ?>
                            <div class="rating-star-static active fui-star-2"><?php echo $i ?></div>
                        <?php endfor ?>
                    </div>
                </td>
                <td>
                    <div class="ro_review">
                        <?php echo $review->get('ro_review') ?>
                    </div>
                </td>
                <td><?php echo link_to($review->getListing()->getId(), 'listing/view?id='.$review->getListing()->getId()) ?></td>
                <td class="actions">
                    <?php if (!$review->get('ro_reply')): ?>
                        <a href="<?php echo url_for('reviews/reply?id='.$review->getId()) ?>" class="reveal-ajax">
                            <span class="fui-bubble"></span>
                        </a>
                    <?php else: ?>
                        <a href="<?php echo url_for('reviews/view?id='.$review->getId()) ?>" class="reveal-ajax" data-reveal-refresh="0">
                            <span class="fui-eye"></span>
                        </a>
                    <?php endif ?>
                    <a href="<?php echo url_for('reviews/report?id='.$review->getId()) ?>" class="reveal-ajax">
                        <span class="fui-alert-circle"></span>
                    </a>
                    </div>
                </td>
            </tr>
        <?php endforeach ?>
    </tbody>

    <?php if ($pager->haveToPaginate()): ?>
    <tfoot>
        <tr><th colspan="5">
        <div class="float-right">
        <?php if ($pager->haveToPaginate()): ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/first.png', array('align' => 'absmiddle', 'alt' => __('First'), 'title' => __('First'))), 'reviews/index?page=1') ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/previous.png', array('align' => 'absmiddle', 'alt' => __('Previous'), 'title' => __('Previous'))), 'reviews/index?page='.$pager->getPreviousPage()) ?>

          <?php foreach ($pager->getLinks() as $page): ?>
            <?php echo link_to_unless($page == $pager->getPage(), $page, 'reviews/index?page='.$page) ?>
          <?php endforeach; ?>

          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/next.png', array('align' => 'absmiddle', 'alt' => __('Next'), 'title' => __('Next'))), 'reviews/index?page='.$pager->getNextPage()) ?>
          <?php echo link_to(image_tag(sfConfig::get('sf_admin_web_dir').'/images/last.png', array('align' => 'absmiddle', 'alt' => __('Last'), 'title' => __('Last'))), 'reviews/index?page='.$pager->getLastPage()) ?>
        <?php endif; ?>
        </div>
        <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults()) ?>
        </th></tr>
    </tfoot>
    <?php endif ?>
</table>
<?php append_slot('javascripts'); ?>
<script type="text/javascript">
jQuery('.ro_review').readmore({
    collapsedHeight: 80,
    moreLink: '<a href="#">Read full text</a>'
})
</script>
<?php end_slot() ?>
