<?php

/**
 * userSettings actions.
 *
 * @package    sf_sandbox
 * @subpackage userSettings
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 9301 2008-05-27 01:08:46Z dwhittle $
 */
class userSettingsActions extends BaseUserSettingsActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeIndex($request)
  {
    $this->forward('userSettings', 'accountStatement');
  }

  public function executeAccountStatement($request)
  {
    $user = $this->getUser()->getProfile();
    $user->refresh();

    return $this->doExecuteAccountStatement($request, $user);
  }


  /**
  * Executes email options action
  *
  * @param sfRequest $request A request object
  */
  public function executeEmailOptions($request)
  {
    $user = $this->getUser()->getProfile();
    $user->refresh(true);

    return $this->doExecuteEmailOptions($request, $user);
  }

  public function executeAddWatchRoute($request)
  {
    $user = $this->getUser()->getProfile();
    $user->refresh();

    return $this->doExecuteAddWatchRoute($request, $user);
  }

  public function executeDeleteWatchRoute($request)
  {
    $user = $this->getUser()->getProfile();
    $user->refresh();

    return $this->doExecuteDeleteWatchRoute($request, $user);
  }

  public function executeCreditCards($request)
  {
    $user = $this->getUser()->getProfile()->get('Owner');
    $user->refresh();

    return $this->doExecuteCreditCards($request, $user);
  }

  public function executeDeleteCreditCard($request)
  {
    $user = $this->getUser()->getProfile()->get('Owner');;
    $user->refresh();
    $creditCard = Doctrine::getTable('CreditCard')->find($request->getParameter('cid'));

    return $this->doExecuteDeleteCreditCard($request, $creditCard, $user);
  }
}
