<?php
    use_javascript('owner/email_options.js');
    use_helper('Form', 'Javascript');
    $countries = LocationCountry::getAll();
    $cities = LocationDeparture::getAll();
    $updated_div = isset($updated_div) ? $updated_div : 'centerbox';
?>
<script type="text/javascript">
    var cities = new Array();
    <?php foreach($cities as $city): ?>
    cities[<?php echo $city["id"] ?>] = '<?php echo $city["name"] ?>';
    <?php endforeach; ?>

    <?php $locations = Locations::getAllByDeparture(); ?>
    var locations = new Array();
    <?php $last = null; foreach($locations as $location): ?>
    <?php if ($last != $location['departure_id']): ?>
    locations[<?php echo $location['departure_id'] ?>] = new Array();
    <?php endif; $last = $location['departure_id']; ?>
    locations[<?php echo $location['departure_id'] ?>].push({id:<?php echo $location['id'] ?>, name:'<?php echo esc_js($location['name'])?>'});
    <?php endforeach; ?>
    var show_routes = <?php if($user->email_notify_new_reloc == "routes"){ ?>true<?php }else{ ?>false<?php } ?>;
</script>

<form action="#" method="post" onsubmit="return false;" id="email_opt_form" name="email_opt_form">
    <p>My preferred email format, when available, is:</p>

    <h5>Email me:</h5>
    <div>
        <?php $radio = checkbox_tag('email_options[newsletter]', 1,
                $user->email_newsletter, array('onclick' => 'update_newsletter(this);'));
            echo label_for('email_options[newsletter]',
                $radio.' Transfercar monthly newsletter')
        ?>
    </div>
    <div class="row">
        <?php echo label_for('email_options[country_newsletter]', 'Source country:') ?>
        <?php

        $countryById = array('none' => 'Please choose...', 'all' => 'Any country');
        foreach($countries as $country) { $countryById[$country['id']] = $country['name']; }
        echo select_tag('email_options[country_newsletter]',
                options_for_select($countryById, $user->email_country_newsletter),
                array(
                    'style' => 'margin-bottom:10px;',
                    'class' => 'notify_newsletter four'
                )
        );
        ?>
    </div>

    <div class="row">
        <?php
            if(!$user->email_notify_new_reloc){
                $user->email_notify_new_reloc = 'none';
            }

            $chkbx = checkbox_tag('email_options[new_reloc]', 1,
                $user->email_notify_new_reloc != 'none' ||
                $sf_user->hasAttribute('route_added') && $sf_user->getAttribute('route_added') == true, array(
                'onclick' => "toggleDisabled(this)"
            ));

            echo label_for('email_options[new_reloc]',
            $chkbx.' Notification of new relocations added')
        ?>
    </div>

    <?php $class = ($user->email_notify_new_reloc == 'disable' &&
        !$sf_user->hasAttribute('route_added')) ? 'disable' : '' ?>

    <div class="row">
        <div class="eight columns end" id="watching_formpart">
            Frequency to get information about new listings:
        </div>
    </div>
    <div class="row">
        <div class="six columns">

            <?php
                $radio = radiobutton_tag('email_options[type_freq]', 'daily',
                    !isset($user->email_notify_type_freq) || $user->email_notify_type_freq == 'daily', array('class' => 'select_type_notify', 'onchange' => 'changeTypeNotify(this)'));

                echo label_for('email_options[type_freq]', $radio.' Daily summary of new vehicles listed', array(
                    'style' => 'margin-top:10px;'
                ));
            ?>

            <?php

                $countryById = array('none' => 'Please choose country', 'all' => 'Any country');
                foreach($countries as $country) { $countryById[$country['id']] = $country['name']; }
                echo select_tag('email_options[country_daily_new_reloc]',
                        options_for_select($countryById, $user->email_country_new_reloc),
                        array(
                            'class' => 'eight',
                            'id' => 'source_daily_country_relocation',
                        )
                );
            ?>
        </div>
        <div class="six columns">

            <?php
                $radio = radiobutton_tag('email_options[type_freq]', 'instance',
                  $user->email_notify_type_freq == 'instance', array('class' => 'select_type_notify', 'onchange' => 'changeTypeNotify(this)'));
                echo label_for('email_options[type_freq]', $radio.' Instant notification of new vehicles on specified routes', array(
                    'style' => 'margin-top:10px;'
                ));
            ?>
            <?php
                $countryById = array('none' => 'Please choose country', 'all' => 'Any country');
                foreach($countries as $country) { $countryById[$country['id']] = $country['name']; }
                echo select_tag('email_options[country_instance_new_reloc]',
                        options_for_select($countryById, $user->email_country_new_reloc),
                        array(
                            'style' => 'width: 200px',
                            'onchange' => "countrySelect()",
                            'id' => 'source_instance_country_relocation',
                        )
                );
            ?>

            <?php
                $citiesById[] = array('name' => 'Please choose...', 'country_id' => '');
                foreach($cities as $city) {
                    $citiesById[$city['id']]['name'] = $city['name'];
                    $citiesById[$city['id']]['country_id'] = $city['country_id'];
                }
                ?>
                <label for="from_city" style="margin-top:10px;">From</label>
                <select id="from_city" class="eight notify_from" name="add_route[from_city]" onchange="update_select('#from_city', '#from');" >
                <?php foreach ($citiesById as $key => $item):?>
                     <option value="<?php echo $key;?>" <?php if($key != 0):?>class="departures departure_<?php echo $item['country_id'];?>" <?php if($item['country_id'] != $user->email_country_new_reloc["new_relocation"] && $user->email_country_new_reloc["new_relocation"] != "all"):?> style="display:none;"<?php endif;?><?php endif;?>><?php echo $item['name'];?></option>

                <?php endforeach;?>
                </select>
                <?php
                echo select_tag('add_route[from]',
                    options_for_select(array(' '), 0),
                    array(
                        'class' => 'eight',
                        'id' => 'from'
                    )
                );

                ?>
                <label for="tp_city">To</label>
                <select id="to_city" class="eight notify_from" name="add_route[to_city]" onchange="update_select('#to_city', '#to');" >
                <?php foreach ($citiesById as $key => $item):?>
                     <option value="<?php echo $key;?>" <?php if($key != 0):?>class="departures departure_<?php echo $item['country_id'];?>" <?php if($item['country_id'] != $user->email_country_new_reloc["new_relocation"] && $user->email_country_new_reloc["new_relocation"] != "all"):?> style="display:none;"<?php endif;?><?php endif;?>><?php echo $item['name'];?></option>

                <?php endforeach;?>
                </select>
                <?php
                echo select_tag('add_route[to]',
                    options_for_select(array(' '), 0),
                    array(
                        'class' => 'eight',
                        'id' => 'to'
                    )
                );

                echo input_hidden_tag('add_route[type]', 'email');
                ?>

                <div style="margin-top:10px;">
                    <button data-tc-email-update="#<?php echo $updated_div ?>" rel="<?php echo url_for('userSettings/addWatchRoute?id='.$user->get('id')) ?>" class="email_option_button small radius button">Add route</button>
                </div>

             <!-- Current routes -->
            <?php if(isset($routes) and count($routes) > 0): ?>
            <div class="relocation_list" style="margin-top:10px;">
                <p><strong>Relocation watch routes</strong></p>

                <?php
                    foreach($routes as $route){
                        echo '<div class="row" style="margin-top:10px">';
                        echo '<div class="twelve columns">';
                        echo '<label>';
                        echo checkbox_tag("del_route[{$route->id}]", 1, false);
                        echo $route->LocationFrom->name . ' to ' . $route->LocationTo->name;
                        echo '</label>';
                        echo '</div></div>';
                    }
                ?>

                <div class="formrow">
                    <div class="del_route">
                        <?php echo input_hidden_tag('del_route[type]', 'email') ?>
                        <button data-tc-email-update="#<?php echo $updated_div ?>" class="email_option_button small radius button" rel="<?php echo url_for('userSettings/deleteWatchRoute') ?>">Delete routes</button>
                    </div>
                </div>
            </div>
            <?php endif ?>
        </div>
    </div>
    <div class="row">
        <hr/>
        <button data-tc-email-update="#<?php echo $updated_div ?>" class="email_option_button medium button success radius" rel="<?php echo url_for('userSettings/emailOptions') ?>">Update Emails Options</button>
    </div>
</form>

<script type="text/javascript">
jQuery(document).load(function() {
    <?php if ($user->email_notify_type_freq == "daily"): ?>
    changeTypeNotify($('#email_options_type_freq_daily'));
    <?php else: ?>
    changeTypeNotify($('#email_options_type_freq_instance'));
    <?php endif; ?>
});
</script>
