<?php $statements = get_partial('userSettings/account_statement', array('pager' => $pager, 'user' => $user, 'starting_balance' => $starting_balance, 'credits' => $credits, 'debits' => $debits)) ?>
<?php use_stylesheet('/js/bootstrap-daterangepicker/daterangepicker-foundation3.css') ?>
<?php use_javascript('bootstrap-daterangepicker/moment.js') ?>
<?php use_javascript('bootstrap-daterangepicker/daterangepicker.js') ?>
<?php slot('tmp_account_statement') ?>

<div class="row" id="account_filters">
    <div class="five columns">
        <a href="<?php echo url_for('payment/selectCredits') ?>" class="reveal-ajax button secondary">Buy credits</a>
        <?php echo link_to('Update credit card details', 'userSettings/creditCards', array('class' => 'button secondary')) ?>
    </div>
    <div class="seven columns">
        <div class="row" style="margin-top:-20px">
            <form action="<?php echo url_for('userSettings/accountStatement') ?>" method="post">
                <div class="row">
                    <div class="four columns">
                        <label for="statement_date">Manager<?php echo tooltip('account_statement_filter_manager') ?></label>
                        <div>
                            <?php echo select_tag('statement_manager', options_for_select(
                                OwnerUserTable::getManagers($sf_user->getOwnerId()),
                                $sf_params->get('statement_manager')
                            )) ?>
                        </div>
                    </div>
                    <div class="four columns" id="tc_date_picker">
                        <label for="statement_date">Date<?php echo tooltip('account_statement_filter_date') ?></label>
                        <div class="report_range" style="width:auto">
                            <?php echo input_hidden_tag('statement_date', $sf_params->get('statement_date')) ?>
                            <span style="font-size: 14px;line-height:22px;padding-left:2px">
                                <?php if ((string) $sf_params->get('statement_date') != ''): ?>
                                    <?php $val = explode(',', (string) $sf_params->get('statement_date')); ?>
                                    <?php echo tc_format_date($val[0]) ?> -
                                    <?php echo tc_format_date($val[1]) ?>
                                <?php endif ?>
                            </span>
                        </div>
                    </div>
                    <div class="four columns">
                        <label for="statement_date">Country<?php echo tooltip('account_statement_filter_country') ?></label>
                        <div>
                            <?php echo select_tag('statement_country', options_for_select(
                                array(
                                    ''  => 'Any',
                                    '1' => 'New Zealand',
                                    '2' => 'Australia',
                                    '3' => 'United States'
                                ),
                                $sf_params->get('statement_country')
                            )) ?>
                        </div>
                    </div>
                </div>
                <div class="row" style="margin-top:10px">
                    <div class="four columns offset-by-eight">
                        <button class="button secondary small">Filter</button>

                        <a class="button secondary small" href="<?php echo url_for('userSettings/accountStatement?filters=filters') ?>">Reset</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<hr/>
<script type="text/javascript">
function initFilters() {
    var onSelect = function(start, end){
        $(this.element.context).find('span').html(start.format('DD/MM/YYYY') + ' - ' + end.format('DD/MM/YYYY'));
        $(this.element.context).find('input').val(start.format('YYYY-MM-DD') + ',' + end.format('YYYY-MM-DD'));
    }

    $('.report_range:has(#statement_date)').daterangepicker({
        ranges: {
            'Today': [moment(), moment()],
            'Yesterday': [moment().subtract('days', 1), moment().subtract('days', 1)],
            'Last 7 Days': [moment().subtract('days', 6), moment()],
            'Last 30 Days': [moment().subtract('days', 29), moment()],
            'This Month': [moment().startOf('month'), moment().endOf('month')],
            'Last Month': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')]
        },
        opens: 'left',
        buttonClasses: 'button radius small',
        applyClass: 'success',
        cancelClass: 'secondary'
    }, onSelect);

    jQuery('#account_filters input, #account_filters select').change(function() {
        $(this).parents('form:first').submit();
    });
}

jQuery(document).ready(initFilters);
</script>
<?php end_slot() ?>

<?php echo str_replace('<table class="acc_statement"', get_slot('tmp_account_statement').'<table class="acc_statement twelve"', $statements) ?>