<?php

use Transfercar\Mandrill\TcMandrill;

/**
 * users actions.
 *
 * @package    symfony
 * @subpackage users
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 5647 2007-10-23 17:25:20Z Eric.Fredj $
 */
class usersActions extends autousersActions
{
    public function executeChangePassword(sfWebRequest $request)
    {
        $this->owner_user = $this->getOwnerUserOrCreate();
        $this->form = new OwnerUserChangePasswordForm();

        if ($this->getRequest()->isMethod('POST')) {
            $this->form->bind($request->getParameter('users'));

            if ($this->form->isValid()) {
                $this->owner_user->setPassword($this->form->getValue('password'));
                $this->owner_user->save();

                $this->setTemplate('edit');
            }
        }
    }

    public function validateEdit()
    {
        // new user
        if ($this->getRequest()->isMethod('POST') && !$this->getRequestParameter('id')) {
            if (!$this->getRequest()->getParameter('owner_user[password]')) {
                $this->getRequest()->setError('owner_user{password}', 'This field is required');

                return false;
            }
        }

        return true;
    }

    protected function saveOwnerUser($owner_user)
    {
        $owner_user->save();
        $raw_password = $this->getRequestParameter('owner_user[password]');

        if ($raw_password && $this->getRequestParameter('send_details')) {
            $mandrill = new TcMandrill();
            $mandrill->sendTemplate(
                'Instructions for your new account',
                $owner_user->getEmailToParams(),
                array('content' => $this->getPartial('users/account_email', array(
                    'owner_user' => $owner_user,
                    'raw_password' => $raw_password
                )))
            );
        }
    }

    protected function addFiltersCriteria ($q)
    {
        $q
            ->addWhere('OwnerUser.owner_id = ?', $this->getUser()->getOwnerId())
        ;

        parent::addFiltersCriteria($q);
    }

    protected function getOwnerUserOrCreate ($id = 'id')
    {
        $user = parent::getOwnerUserOrCreate($id);

        if ($user->exists()) {
            $this->forward404Unless($user->get('owner_id') === $this->getUser()->getOwnerId());
        } else {
            $user->set('owner_id', $this->getUser()->getOwnerId());
        }

        return $user;
    }
}
