<?php

/**
 * vehicles actions.
 *
 * @package    symfony
 * @subpackage vehicles
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 5647 2007-10-23 17:25:20Z Eric.Fredj $
 */
class vehiclesActions extends autovehiclesActions
{
    public function executeDetails()
    {
      $this->vehicle = $this->getOwnerVehicleTypeOrCreate();
    }

    protected function addFiltersCriteria ($q)
    {
        $q
            ->addWhere('OwnerVehicleType.owner_id = ?', $this->getUser()->getOwnerId())
        ;

        parent::addFiltersCriteria($q);
    }

    protected function getOwnerVehicleTypeOrCreate ($id = 'id')
    {
        $vehicle = parent::getOwnerVehicleTypeOrCreate($id);

        if ($vehicle->exists()) {
            $this->forward404Unless($vehicle->get('owner_id') === $this->getUser()->getOwnerId());
        } else {
            $vehicle->set('owner_id', $this->getUser()->getOwnerId());
            $vehicle->set('Country', $vehicle->get('Owner')->get('Country'));
        }

        return $vehicle;
    }


    public function validateEdit()
    {
      if (!$this->getRequest()->isMethod('POST')){
        return true;
      }
      $owner_vehicle_type = parent::getOwnerVehicleTypeOrCreate();
      $images = array_filter((array) $owner_vehicle_type->get('images'));

      if (count($images)) {
        return true;
      }

      $files = $this->getRequest()->getFile('owner_vehicle_type[images]');

      if (!isset($files['tmp_name'][0]) || $files['tmp_name'][0] == '') {
        $this->getRequest()->setError('owner_vehicle_type{images}', 'Image required');
        return false;
      }

      $validator = new sfFileValidator($this->getContext());
      $validator->initialize($this->getContext(), [
          'mime_types' => ['image/jpeg', 'image/pjpeg', 'image/png', 'image/x-png', 'image/gif'],
          'mime_types_error' => 'Only images allowed',
          'max_size' => 5120000,
          'max_size_error' => 'File too big'
        ]);

      $error = '';
      foreach ($files['tmp_name'] as $i => $tmp_name) {
        $data = [
          'size' => $files['size'][$i],
          'type' => $files['type'][$i]
        ];
        if (!$validator->execute($data, $error)) {
          $this->getRequest()->setError('owner_vehicle_type{images}', $error);
        } elseif ($files['error'][$i] != UPLOAD_ERR_OK) {
          $error = 'Invalid file';
          $this->getRequest()->setError('owner_vehicle_type{images}', $error);
        }
      }

      return $error ? false : true;
    }


    protected function updateOwnerVehicleTypeFromRequest()
    {
        $previousImages = (array) $this->owner_vehicle_type->get('images');
        parent::updateOwnerVehicleTypeFromRequest();

        if ($this->getRequestParameter('owner_vehicle_type[max_year]'))
        {
          $this->owner_vehicle_type->set('max_year', $this->getRequestParameter('owner_vehicle_type[max_year]'));
        }

        $files = $this->getRequest()->getFile('owner_vehicle_type[images]');
        $owner_vehicle_type = $this->getRequestParameter('owner_vehicle_type');

        if (empty($owner_vehicle_type['images']))
        {
          $this->owner_vehicle_type->set('images', array());
        }

        $images = array_filter($this->owner_vehicle_type->get('images'));

        if ($files)
        {
          foreach ($files['tmp_name'] as $i => $name)
          {
            if ($files['error'][$i] === UPLOAD_ERR_OK && in_array($files['type'][$i], ['image/jpeg', 'image/pjpeg', 'image/png', 'image/x-png', 'image/gif']))
            {
              $images[] = '/uploads/vehicles/'.$this->moveFile($name, $files['name'][$i]);
            }
          }
        }

        $this->owner_vehicle_type->set('images', $images);

        foreach (array_diff($previousImages, $this->owner_vehicle_type->get('images')) as $deletedFiles)
        {
          $file = sfConfig::get('sf_upload_dir') .'/vehicles/'.basename($deletedFiles);
          if (file_exists($file)) {
            unlink($file);
          }
        }
    }

    private function moveFile($path, $name)
    {
      $filename = sha1(microtime(true).$name).'.'.pathinfo($name, PATHINFO_EXTENSION);

      $thumbnail = new sfThumbnail(600, 600);
      $thumbnail->loadFile($path);
      $thumbnail->save(sfConfig::get('sf_upload_dir') .'/vehicles/'.$filename);

      return $filename;
    }

    protected function addSortCriteria ($q)
    {
      parent::addSortCriteria($q);

      if ($sort_column = $this->getUser()->getAttribute('sort', null, 'sf_admin/owner_vehicle_type/sort'))
      {
        $type = $this->getUser()->getAttribute('type', null, 'sf_admin/owner_vehicle_type/sort') == 'asc' ? '' : 'desc';

        switch ($sort_column) {
          case 'VehicleType':
            $q->orderBy('OwnerVehicleType.VehicleType.description '.$type);
            break;
          case 'Country':
            $q->orderBy('OwnerVehicleType.Country.name '.$type);
            break;
        }
      }
    }
}
