<!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->

<head>
  <meta charset="utf-8" />
  <link rel="shortcut icon" href="/favicon.ico" />

  <?php include_http_metas() ?>
  <?php include_metas() ?>

  <?php include_title() ?>

  <!-- Included CSS Files, use foundation.css if you do not want minified code -->
  <link rel="stylesheet" href="/css/owner/foundation.css">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css" rel="stylesheet" />
  <link rel="stylesheet" href="/css/owner/app.css">

  <?php echo javascript_include_tag('owner/jquery.js') ?>
  <!-- Custom Modernizr for Foundation -->
  <?php echo javascript_include_tag('owner/modernizr.foundation.js') ?>

  <?php include_stylesheets() ?>
</head>

<body>
  <!-- Page Layout HTML here -->

  <?php include_partial('global/top_header') ?>
  <?php include_partial('global/menu') ?>

  <div class="row" style="min-height:500px">
    <div class="twelve columns tc_settings_tabs">
      <dl class="tabs contained">
        <dd<?php echo $sf_context->getModuleName() == 'contacts' ? ' class="active"' : '' ?>><a href="<?php echo url_for('contacts/index') ?>"><?php echo __('Contacts') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'branches' ? ' class="active"' : '' ?>><a href="<?php echo url_for('branches/index') ?>"><?php echo __('Branches') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'vehicles' ? ' class="active"' : '' ?>><a href="<?php echo url_for('vehicles/index') ?>"><?php echo __('Vehicles') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'insurance' ? ' class="active"' : '' ?>><a href="<?php echo url_for('insurance/index') ?>"><?php echo __('Insurances') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'users' ? ' class="active"' : '' ?>><a href="<?php echo url_for('users/index') ?>"><?php echo __('Managers') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'userSettings' && $sf_context->getActionName() == 'accountStatement' ? ' class="active"' : '' ?>><a href="<?php echo url_for('userSettings/accountStatement') ?>"><?php echo __('Account statement') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'owner' ? ' class="active"' : '' ?>><a href="<?php echo url_for('owner/index') ?>"><?php echo __('Company details') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'userSettings' && $sf_context->getActionName() == 'creditCards' ? ' class="active"' : '' ?>><a href="<?php echo url_for('userSettings/creditCards') ?>"><?php echo __('Credit cards') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'emails' ? ' class="active"' : '' ?>><a href="<?php echo url_for('emails/index') ?>"><?php echo __('Email') ?></a></dd>
        <dd<?php echo $sf_context->getModuleName() == 'report' ? ' class="active"' : '' ?>><a href="<?php echo url_for('report/list') ?>"><?php echo __('Driver reports') ?></a></dd>
      </dl>

      <ul class="tabs-content contained">
        <li class="active" id="tab_active"><?php echo $sf_content ?></li>
        <li id="tab_inactive">loading</li>
      </ul>
    </div>
  </div>

  <?php include_partial('global/footer') ?>
</body>
</html>
