<!--
=========================================================
* Argon Dashboard 2 - v2.0.4
=========================================================

* Product Page: https://www.creative-tim.com/product/argon-dashboard
* Copyright 2022 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://www.creative-tim.com/license)
* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
-->
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="apple-touch-icon" sizes="76x76" href="/assets/img/apple-icon.png">
  <link rel="icon" type="image/png" href="/favicon.ico">
  <title>
    Mobile RO Area
  </title>
  <!--     Fonts and icons     -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
  <!-- Nucleo Icons -->
  <?php //use_stylesheet('/assets/css/nucleo-icons.css') ?>
  <?php //use_stylesheet('/assets/css/nucleo-svg.css') ?>
  <?php use_stylesheet('/assets/css/argon-dashboard.css?v=2.0.4') ?>
  <?php include_combined_stylesheets() ?>
  <!-- Font Awesome Icons -->
  <script src="https://kit.fontawesome.com/d8df02d260.js" data-search-pseudo-elements crossorigin="anonymous"></script>
  <!-- CSS Files -->

  <style type="text/css">
    .pending-menu {
      position:  fixed;
      background: white;
      bottom: 0;
      padding: 10px 20px;
      z-index: 99;
      width: 100%;
      display: none;
    }

    .pending-menu > .row {
      align-items: center;
      justify-content: center;
    }

    .pending-menu  .btn {
      margin-bottom: 0;
      white-space: nowrap;
    }

    .card .col-2 hr, .card .col-3 hr,
    .accordion-body .col-2 hr, .accordion-body .col-3 hr {
      border-color: #2980b9;
      position: absolute;
      opacity: 1;
      border: 1px dashed #2980b9;
      width: 24%;
      margin-left: -8%;
    }

    .card .col-2 i, .card .col-3 i,
    .card .col-2 svg, .card .col-3 svg,
    .accordion-body .col-2 svg, .accordion-body .col-3 svg,
    .accordion-body .col-2 i, .accordion-body .col-3 i {
      z-index: 1;
      background: #fff;
      border-radius: 10px;
    }

    .card .col-2 .flex-column,
    .accordion-body .col-2 .flex-column {
      height: 100%;
      justify-content: center;
      text-align: center;
    }


    .mobile-bottom-nav {
      position: fixed;
      bottom: 0;
      left: 0;
      right: 0;
      z-index: 10;
      will-change: transform;
      transform: translateZ(0);
      display: flex;
      height: 50px;
      box-shadow: 0 -2px 5px -2px #333;
      background-color: #fff;
    }
    .mobile-bottom-nav__item {
      flex-grow: 1;
      text-align: center;
      font-size: 12px;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
    .mobile-bottom-nav__item--active {
      color: red;
    }
    .mobile-bottom-nav__item-content {
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    .mobile-bottom-nav__item-content i i {
      border-radius: 50%;
      color: white;
      background-color: red;
      top: 2px;
      position: absolute;
      min-width: 16px;
      display: inline-block;
      font-style: normal;
      min-height: 13px;
      margin-left: -4px;
      font-family: var(--bs-body-font-family);
      padding: 2px;
      text-align: center;
    }

    .fa-stack.driver-icon {
      height: 1.5em;
      line-height: 1.5em;
      width: 1.5em;
    }

    .fa-stack.driver-icon .fa-stack-1x {
      font-size: 0.7em;
    }
    .fa-stack.driver-icon .fa-stack-2x {
      font-size: 1.5em;
    }

    nav .fa-layers-counter{
      --fa-counter-scale: 0.35;
      --fa-right: -5px;
    }
  </style>
</head>

<body class="g-sidenav-show   bg-gray-100">
  <div class="min-height-300 bg-primary position-absolute w-100"></div>
  <aside class="sidenav bg-white navbar navbar-vertical navbar-expand-xs border-0 border-radius-xl my-3 fixed-start ms-4 " id="sidenav-main">
    <div class="sidenav-header">
      <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute end-0 top-0 d-none d-xl-none" aria-hidden="true" id="iconSidenav"></i>
      <a class="navbar-brand m-0" href="<?php echo url_for('mobile/index') ?>" target="_blank">
        <span class="ms-1 font-weight-bold">Transfercar</span>
      </a>
    </div>
    <hr class="horizontal dark mt-0">
    <div class="collapse navbar-collapse  w-auto " id="sidenav-collapse-main">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link <?php if ($sf_params->get('action') == 'index'): ?>active<?php endif ?>" href="<?php echo url_for('mobile/index') ?>">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fa-solid fa-envelope fa-2x"></i>
            </div>
            <span class="nav-link-text ms-1">Requests</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if ($sf_params->get('action') == 'bookings'): ?>active<?php endif ?>" href="<?php echo url_for('mobile/bookings') ?>">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fak fa-key fa-2x"></i>
            </div>
            <span class="nav-link-text ms-1">Bookings</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if ($sf_params->get('action') == 'listings'): ?>active<?php endif ?>" href="<?php echo url_for('mobile/listings') ?>">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fak fa-list fa-2x"></i>
            </div>
            <span class="nav-link-text ms-1">Listings</span>
          </a>
        </li>
        <?php if (sfConfig::get('app_tc_env') !== 'prod'): ?>
        <li class="nav-item">
          <a class="nav-link" href="#" id="generate-requests">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fa fa-solid fa-gear fa-2x"></i>
            </div>

            <span class="nav-link-text ms-1"> Testing: Generate requests</span>
          </a>
        </li>
        <?php endif ?>
        <li class="nav-item">
          <a class="nav-link " href="<?php echo url_for('main/logout') ?>">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fa-regular fa-arrow-right-from-bracket fa-2x"></i>
            </div>
            <span class="nav-link-text ms-1">Logout</span>
          </a>
        </li>
      </ul>
    </div>
  </aside>
  <main class="main-content position-relative border-radius-lg ">
    <!-- Navbar -->
    <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl " id="navbarBlur" data-scroll="false">
      <div class="container-fluid py-1 px-3">
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb bg-transparent mb-0 pb-0 pt-1 px-0 me-sm-6 me-5">
            <li class="breadcrumb-item text-sm"><a class="opacity-5 text-white" href="<?php echo url_for('mobile/index') ?>">Home</a></li>
            <li class="breadcrumb-item text-sm text-white active" aria-current="page"><?php echo get_slot('breadcrumb') ?: 'Pending requests' ?></li>
          </ol>
        </nav>
        <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
          <ul class="navbar-nav  justify-content-end">
            <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
              <a href="javascript:;" class="nav-link text-white p-0" id="iconNavbarSidenav">
                <div class="sidenav-toggler-inner">
                  <i class="sidenav-toggler-line bg-white"></i>
                  <i class="sidenav-toggler-line bg-white"></i>
                  <i class="sidenav-toggler-line bg-white"></i>
                </div>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <!-- End Navbar -->
    <nav class="mobile-bottom-nav d-md-none fa-4x">
      <div class="mobile-bottom-nav__item mobile-bottom-nav__item--active">
        <a class="mobile-bottom-nav__item-content" href="<?php echo url_for('mobile/index') ?>">
          <?php
                  $pending = Doctrine::getTable('Request')
                    ->createQuery('r')
                    ->innerJoin('r.Listing l')
                    ->innerJoin('l.VehicleType v')
                    ->where('v.country_id = ?', $sf_user->getCountry())
                    ->addWhere('r.status = 0')
                    ->addWhere('l.status = 0')
                    ->addWhere('l.owner_id = ?', $sf_user->getOwnerId())
                    ->addWhere('l.created_at > ?', date('Y-m-d', strtotime('-6 months')))
                    ->count();

          ?>
           
          <span class="fa-layers fa-2x">
            <i class="fa-solid fa-envelope"></i>
            <span class="fa-layers-counter" data-fa-transform="grow-6" style="background:Tomato"><?php echo $pending ?></span>
          </span>
          Requests
        </a>    
      </div>
      <div class="mobile-bottom-nav__item">
        <a class="mobile-bottom-nav__item-content" href="<?php echo url_for('mobile/bookings') ?>">
          <i class="fak fa-key fa-2x"></i> Bookings
        </a>
      </div>
      <div class="mobile-bottom-nav__item">   
        <a class="mobile-bottom-nav__item-content" href="<?php echo url_for('mobile/listings') ?>">
          <i class="fak fa-list fa-2x"></i> Listings
        </a>
      </div>
    </nav>
    <div class="container-fluid py-4">
      
      
      <?php echo $sf_content ?>


    </div>
  </main>
  <!--   Core JS Files   -->
  <?php use_javascript("/assets/js/core/popper.min.js") ?>
  <script src="https://code.jquery.com/jquery-3.3.1.min.js" crossorigin="anonymous"></script>
  <?php use_javascript("/assets/js/core/bootstrap.bundle.min.js") ?>
  <?php use_javascript("/assets/js/plugins/perfect-scrollbar.min.js") ?>
  <?php use_javascript("/assets/js/plugins/smooth-scrollbar.min.js") ?>
  <!-- Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
  <?php use_javascript("/assets/js/argon-dashboard.min.js?v=2.0.4") ?>
  <script type="text/javascript" src="https://js.stripe.com/v3/"></script>
  <?php include_combined_javascripts() ?>
  <?php include_slot('javascripts') ?>
</body>

</html>